<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Connection.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/ObjectAdapterF.php';
require_once 'Ice/Identity.php';
require_once 'Ice/Endpoint.php';

global $Ice__t_CompressBatch;
/**
  * @iceType ::Ice::CompressBatch
  * @iceKind enum
 */
class Ice_CompressBatch
{
    const Yes = 0;
    const No = 1;
    const BasedOnProxy = 2;
}

$Ice__t_CompressBatch = IcePHP_defineEnum('::Ice::CompressBatch', array('Yes', 0, 'No', 1, 'BasedOnProxy', 2));

global $Ice__t_Connection;
if(!isset($Ice__t_Connection))
{
    $Ice__t_Connection = IcePHP_declareClass('::Ice::Connection');
}

global $Ice__t_CloseCallback;

/**
 * An application can implement this interface to receive notifications when
 * a connection closes.
 * 
 * @see Connection#setCloseCallback
 * 
 *
 * @iceType ::Ice::CloseCallback
 * @iceKind interface
 */
interface Ice_CloseCallback
{
    /**
     * This method is called by the the connection when the connection
     * is closed. If the callback needs more information about the closure,
     * it can call {@link Connection#throwException}.
     * 
     * @param con The connection that closed.
     *
     * @returnType void
     * @returnIceType void
     * @paramType con Ice_Connection
     */
    public function closed($con);
}
$Ice__t_CloseCallback = IcePHP_defineClass('::Ice::CloseCallback', 'Ice_CloseCallback', -1, false, true, null, null);

global $Ice__t_HeartbeatCallback;

/**
 * An application can implement this interface to receive notifications when
 * a connection receives a heartbeat message.
 * 
 * @see Connection#setHeartbeatCallback
 * 
 *
 * @iceType ::Ice::HeartbeatCallback
 * @iceKind interface
 */
interface Ice_HeartbeatCallback
{
    /**
     * This method is called by the the connection when a heartbeat is
     * received from the peer.
     * 
     * @param con The connection on which a heartbeat was received.
     *
     * @returnType void
     * @returnIceType void
     * @paramType con Ice_Connection
     */
    public function heartbeat($con);
}
$Ice__t_HeartbeatCallback = IcePHP_defineClass('::Ice::HeartbeatCallback', 'Ice_HeartbeatCallback', -1, false, true, null, null);

global $Ice__t_ACMClose;
/**
  * @iceType ::Ice::ACMClose
  * @iceKind enum
 */
class Ice_ACMClose
{
    const CloseOff = 0;
    const CloseOnIdle = 1;
    const CloseOnInvocation = 2;
    const CloseOnInvocationAndIdle = 3;
    const CloseOnIdleForceful = 4;
}

$Ice__t_ACMClose = IcePHP_defineEnum('::Ice::ACMClose', array('CloseOff', 0, 'CloseOnIdle', 1, 'CloseOnInvocation', 2, 'CloseOnInvocationAndIdle', 3, 'CloseOnIdleForceful', 4));

global $Ice__t_ACMHeartbeat;
/**
  * @iceType ::Ice::ACMHeartbeat
  * @iceKind enum
 */
class Ice_ACMHeartbeat
{
    const HeartbeatOff = 0;
    const HeartbeatOnDispatch = 1;
    const HeartbeatOnIdle = 2;
    const HeartbeatAlways = 3;
}

$Ice__t_ACMHeartbeat = IcePHP_defineEnum('::Ice::ACMHeartbeat', array('HeartbeatOff', 0, 'HeartbeatOnDispatch', 1, 'HeartbeatOnIdle', 2, 'HeartbeatAlways', 3));

global $Ice__t_ACM;
/**
 * A collection of Active Connection Management configuration settings.
 *
 * @iceType ::Ice::ACM
 * @iceKind struct
 */
class Ice_ACM
{
    public function __construct($timeout=0, $close=Ice_ACMClose::CloseOff, $heartbeat=Ice_ACMHeartbeat::HeartbeatOff)
    {
        $this->timeout = $timeout;
        $this->close = $close;
        $this->heartbeat = $heartbeat;
    }

    public function __toString()
    {
        global $Ice__t_ACM;
        return IcePHP_stringify($this, $Ice__t_ACM);
    }

    /**
     * A timeout value in seconds.
     *
     * @var int
     */
    public $timeout;
    /**
     * The close semantics.
     *
     * @var Ice_ACMClose
     */
    public $close;
    /**
     * The heartbeat semantics.
     *
     * @var Ice_ACMHeartbeat
     */
    public $heartbeat;
}

global $IcePHP__t_int;
global $Ice__t_ACMClose;
global $Ice__t_ACMHeartbeat;
$Ice__t_ACM = IcePHP_defineStruct('::Ice::ACM', 'Ice_ACM', array(
    array('timeout', $IcePHP__t_int),
    array('close', $Ice__t_ACMClose),
    array('heartbeat', $Ice__t_ACMHeartbeat)));

global $Ice__t_ConnectionClose;
/**
  * @iceType ::Ice::ConnectionClose
  * @iceKind enum
 */
class Ice_ConnectionClose
{
    const Forcefully = 0;
    const Gracefully = 1;
    const GracefullyWithWait = 2;
}

$Ice__t_ConnectionClose = IcePHP_defineEnum('::Ice::ConnectionClose', array('Forcefully', 0, 'Gracefully', 1, 'GracefullyWithWait', 2));
?>
