<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Current.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/ObjectAdapterF.php';
require_once 'Ice/ConnectionF.php';
require_once 'Ice/Identity.php';
require_once 'Ice/Version.php';

global $Ice__t_Context;

if(!isset($Ice__t_Context))
{
    global $IcePHP__t_string;
    global $IcePHP__t_string;
    $Ice__t_Context = IcePHP_defineDictionary('::Ice::Context', $IcePHP__t_string, $IcePHP__t_string);
}

global $Ice__t_OperationMode;
/**
  * @iceType ::Ice::OperationMode
  * @iceKind enum
 */
class Ice_OperationMode
{
    const Normal = 0;
    const Nonmutating = 1;
    const Idempotent = 2;
}

$Ice__t_OperationMode = IcePHP_defineEnum('::Ice::OperationMode', array('Normal', 0, 'Nonmutating', 1, 'Idempotent', 2));

global $Ice__t_Current;
/**
 * Information about the current method invocation for servers. Each
 * operation on the server has a <code>Current</code> as its implicit final
 * parameter. <code>Current</code> is mostly used for Ice services. Most
 * applications ignore this parameter.
 * 
 *
 * @iceType ::Ice::Current
 * @iceKind struct
 */
class Ice_Current
{
    public function __construct($adapter=null, $con=null, $id=null, $facet='', $operation='', $mode=Ice_OperationMode::Normal, $ctx=null, $requestId=0, $encoding=null)
    {
        $this->adapter = $adapter;
        $this->con = $con;
        $this->id = is_null($id) ? new Ice_Identity : $id;
        $this->facet = $facet;
        $this->operation = $operation;
        $this->mode = $mode;
        $this->ctx = $ctx;
        $this->requestId = $requestId;
        $this->encoding = is_null($encoding) ? new Ice_EncodingVersion : $encoding;
    }

    public function __toString()
    {
        global $Ice__t_Current;
        return IcePHP_stringify($this, $Ice__t_Current);
    }

    /**
     * The object adapter.
     * 
     *
     * @var Ice_ObjectAdapter
     */
    public $adapter;
    /**
     * Information about the connection over which the current method
     * invocation was received. If the invocation is direct due to
     * collocation optimization, this value is set to null.
     * 
     *
     * @var Ice_Connection
     */
    public $con;
    /**
     * The Ice object identity.
     * 
     *
     * @var Ice_Identity
     */
    public $id;
    /**
     * The facet.
     * 
     *
     * @var string
     */
    public $facet;
    /**
     * The operation name.
     * 
     *
     * @var string
     */
    public $operation;
    /**
     * The mode of the operation.
     * 
     *
     * @var Ice_OperationMode
     */
    public $mode;
    /**
     * The request context, as received from the client.
     * 
     *
     * @var dict
     */
    public $ctx;
    /**
     * The request id unless oneway (0).
     * 
     *
     * @var int
     */
    public $requestId;
    /**
     * The encoding version used to encode the input and output parameters.
     * 
     *
     * @var Ice_EncodingVersion
     */
    public $encoding;
}

global $Ice__t_ObjectAdapter;
global $Ice__t_Connection;
global $Ice__t_Identity;
global $IcePHP__t_string;
global $Ice__t_OperationMode;
global $Ice__t_Context;
global $IcePHP__t_int;
global $Ice__t_EncodingVersion;
$Ice__t_Current = IcePHP_defineStruct('::Ice::Current', 'Ice_Current', array(
    array('adapter', $Ice__t_ObjectAdapter),
    array('con', $Ice__t_Connection),
    array('id', $Ice__t_Identity),
    array('facet', $IcePHP__t_string),
    array('operation', $IcePHP__t_string),
    array('mode', $Ice__t_OperationMode),
    array('ctx', $Ice__t_Context),
    array('requestId', $IcePHP__t_int),
    array('encoding', $Ice__t_EncodingVersion)));
?>
