<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Instrumentation.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/EndpointF.php';
require_once 'Ice/ConnectionF.php';
require_once 'Ice/Current.php';

global $Ice_Instrumentation__t_Observer;

/**
 * The object observer interface used by instrumented objects to
 * notify the observer of their existence.
 * 
 *
 * @iceType ::Ice::Instrumentation::Observer
 * @iceKind interface
 */
interface Ice_Instrumentation_Observer
{
    /**
     * This method is called when the instrumented object is created
     * or when the observer is attached to an existing object.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function attach();
    /**
     * This method is called when the instrumented object is destroyed
     * and as a result the observer detached from the object.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function detach();
    /**
     * Notification of a failure.
     * 
     * @param exceptionName The name of the exception.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType exceptionName string
     */
    public function failed($exceptionName);
}
$Ice_Instrumentation__t_Observer = IcePHP_defineClass('::Ice::Instrumentation::Observer', 'Ice_Instrumentation_Observer', -1, false, true, null, null);

global $Ice_Instrumentation__t_ThreadState;
/**
  * @iceType ::Ice::Instrumentation::ThreadState
  * @iceKind enum
 */
class Ice_Instrumentation_ThreadState
{
    const ThreadStateIdle = 0;
    const ThreadStateInUseForIO = 1;
    const ThreadStateInUseForUser = 2;
    const ThreadStateInUseForOther = 3;
}

$Ice_Instrumentation__t_ThreadState = IcePHP_defineEnum('::Ice::Instrumentation::ThreadState', array('ThreadStateIdle', 0, 'ThreadStateInUseForIO', 1, 'ThreadStateInUseForUser', 2, 'ThreadStateInUseForOther', 3));

global $Ice_Instrumentation__t_ThreadObserver;

/**
 * The thread observer interface to instrument Ice threads. This can
 * be threads from the Ice thread pool or utility threads used by the
 * Ice core.
 * 
 *
 * @iceType ::Ice::Instrumentation::ThreadObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_ThreadObserver extends Ice_Instrumentation_Observer
{
    /**
     * Notification of thread state change.
     * 
     * @param oldState The previous thread state.
     * 
     * @param newState The new thread state.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType oldState Ice_Instrumentation_ThreadState
     * @paramType newState Ice_Instrumentation_ThreadState
     */
    public function stateChanged($oldState, $newState);
}
$Ice_Instrumentation__t_ThreadObserver = IcePHP_defineClass('::Ice::Instrumentation::ThreadObserver', 'Ice_Instrumentation_ThreadObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_ConnectionState;
/**
  * @iceType ::Ice::Instrumentation::ConnectionState
  * @iceKind enum
 */
class Ice_Instrumentation_ConnectionState
{
    const ConnectionStateValidating = 0;
    const ConnectionStateHolding = 1;
    const ConnectionStateActive = 2;
    const ConnectionStateClosing = 3;
    const ConnectionStateClosed = 4;
}

$Ice_Instrumentation__t_ConnectionState = IcePHP_defineEnum('::Ice::Instrumentation::ConnectionState', array('ConnectionStateValidating', 0, 'ConnectionStateHolding', 1, 'ConnectionStateActive', 2, 'ConnectionStateClosing', 3, 'ConnectionStateClosed', 4));

global $Ice_Instrumentation__t_ConnectionObserver;

/**
 * The connection observer interface to instrument Ice connections.
 * 
 *
 * @iceType ::Ice::Instrumentation::ConnectionObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_ConnectionObserver extends Ice_Instrumentation_Observer
{
    /**
     * Notification of sent bytes over the connection.
     * 
     * @param num The number of bytes sent.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType num int
     */
    public function sentBytes($num);
    /**
     * Notification of received bytes over the connection.
     * 
     * @param num The number of bytes received.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType num int
     */
    public function receivedBytes($num);
}
$Ice_Instrumentation__t_ConnectionObserver = IcePHP_defineClass('::Ice::Instrumentation::ConnectionObserver', 'Ice_Instrumentation_ConnectionObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_DispatchObserver;

/**
 * The dispatch observer to instrument servant dispatch.
 * 
 *
 * @iceType ::Ice::Instrumentation::DispatchObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_DispatchObserver extends Ice_Instrumentation_Observer
{
    /**
     * Notification of a user exception.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function userException();
    /**
     * Reply notification.
     * 
     * @param size The size of the reply.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType size int
     */
    public function reply($size);
}
$Ice_Instrumentation__t_DispatchObserver = IcePHP_defineClass('::Ice::Instrumentation::DispatchObserver', 'Ice_Instrumentation_DispatchObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_ChildInvocationObserver;

/**
 * The child invocation observer to instrument remote or collocated
 * invocations.
 * 
 *
 * @iceType ::Ice::Instrumentation::ChildInvocationObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_ChildInvocationObserver extends Ice_Instrumentation_Observer
{
    /**
     * Reply notification.
     * 
     * @param size The size of the reply.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType size int
     */
    public function reply($size);
}
$Ice_Instrumentation__t_ChildInvocationObserver = IcePHP_defineClass('::Ice::Instrumentation::ChildInvocationObserver', 'Ice_Instrumentation_ChildInvocationObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_RemoteObserver;

/**
 * The remote observer to instrument invocations that are sent over
 * the wire.
 * 
 *
 * @iceType ::Ice::Instrumentation::RemoteObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_RemoteObserver extends Ice_Instrumentation_ChildInvocationObserver
{
}
$Ice_Instrumentation__t_RemoteObserver = IcePHP_defineClass('::Ice::Instrumentation::RemoteObserver', 'Ice_Instrumentation_RemoteObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_CollocatedObserver;

/**
 * The collocated observer to instrument invocations that are
 * collocated.
 * 
 *
 * @iceType ::Ice::Instrumentation::CollocatedObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_CollocatedObserver extends Ice_Instrumentation_ChildInvocationObserver
{
}
$Ice_Instrumentation__t_CollocatedObserver = IcePHP_defineClass('::Ice::Instrumentation::CollocatedObserver', 'Ice_Instrumentation_CollocatedObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_InvocationObserver;

/**
 * The invocation observer to instrument invocations on proxies. A
 * proxy invocation can either result in a collocated or remote
 * invocation. If it results in a remote invocation, a sub-observer is
 * requested for the remote invocation.
 * 
 *
 * @iceType ::Ice::Instrumentation::InvocationObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_InvocationObserver extends Ice_Instrumentation_Observer
{
    /**
     * Notification of the invocation being retried.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function retried();
    /**
     * Notification of a user exception.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function userException();
    /**
     * Get a remote observer for this invocation.
     * 
     * @param con The connection information.
     * 
     * @param endpt The connection endpoint.
     * 
     * @param requestId The ID of the invocation.
     * 
     * @param size The size of the invocation.
     * 
     * @return The observer to instrument the remote invocation.
     * 
     *
     * @returnType Ice_Instrumentation_RemoteObserver
     * @returnIceType ::Ice::Instrumentation::RemoteObserver
     * @paramType con Ice_ConnectionInfo
     * @paramType endpt Ice_Endpoint
     * @paramType requestId int
     * @paramType size int
     */
    public function getRemoteObserver($con, $endpt, $requestId, $size);
    /**
     * Get a collocated observer for this invocation.
     * 
     * @param adapter The object adapter hosting the collocated Ice object.
     * 
     * @param requestId The ID of the invocation.
     * 
     * @param size The size of the invocation.
     * 
     * @return The observer to instrument the collocated invocation.
     * 
     *
     * @returnType Ice_Instrumentation_CollocatedObserver
     * @returnIceType ::Ice::Instrumentation::CollocatedObserver
     * @paramType adapter Ice_ObjectAdapter
     * @paramType requestId int
     * @paramType size int
     */
    public function getCollocatedObserver($adapter, $requestId, $size);
}
$Ice_Instrumentation__t_InvocationObserver = IcePHP_defineClass('::Ice::Instrumentation::InvocationObserver', 'Ice_Instrumentation_InvocationObserver', -1, false, true, null, null);

global $Ice_Instrumentation__t_ObserverUpdater;

/**
 * The observer updater interface. This interface is implemented by
 * the Ice run-time and an instance of this interface is provided by
 * the Ice communicator on initialization to the
 * {@link CommunicatorObserver} object set with the communicator
 * initialization data. The Ice communicator calls
 * {@link CommunicatorObserver#setObserverUpdater} to provide the observer
 * updater.
 * 
 * This interface can be used by add-ins implementing the
 * {@link CommunicatorObserver} interface to update the observers of
 * connections and threads.
 * 
 *
 * @iceType ::Ice::Instrumentation::ObserverUpdater
 * @iceKind interface
 */
interface Ice_Instrumentation_ObserverUpdater
{
    /**
     * Update connection observers associated with each of the Ice
     * connection from the communicator and its object adapters.
     * 
     * When called, this method goes through all the connections and
     * for each connection {@link CommunicatorObserver#getConnectionObserver}
     * is called. The implementation of getConnectionObserver has the
     * possibility to return an updated observer if necessary.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function updateConnectionObservers();
    /**
     * Update thread observers associated with each of the Ice thread
     * from the communicator and its object adapters.
     * 
     * When called, this method goes through all the threads and for
     * each thread {@link CommunicatorObserver#getThreadObserver} is
     * called. The implementation of getThreadObserver has the
     * possibility to return an updated observer if necessary.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function updateThreadObservers();
}
$Ice_Instrumentation__t_ObserverUpdater = IcePHP_defineClass('::Ice::Instrumentation::ObserverUpdater', 'Ice_Instrumentation_ObserverUpdater', -1, false, true, null, null);

global $Ice_Instrumentation__t_CommunicatorObserver;

/**
 * The communicator observer interface used by the Ice run-time to
 * obtain and update observers for its observable objects. This
 * interface should be implemented by add-ins that wish to observe Ice
 * objects in order to collect statistics. An instance of this
 * interface can be provided to the Ice run-time through the Ice
 * communicator initialization data.
 * 
 *
 * @iceType ::Ice::Instrumentation::CommunicatorObserver
 * @iceKind interface
 */
interface Ice_Instrumentation_CommunicatorObserver
{
    /**
     * This method should return an observer for the given endpoint
     * information and connector. The Ice run-time calls this method
     * for each connection establishment attempt.
     * 
     * @param endpt The endpoint.
     * 
     * @param connector The description of the connector. For IP
     * transports, this is typically the IP address to connect to.
     * 
     * @return The observer to instrument the connection establishment.
     * 
     *
     * @returnType Ice_Instrumentation_Observer
     * @returnIceType ::Ice::Instrumentation::Observer
     * @paramType endpt Ice_Endpoint
     * @paramType connector string
     */
    public function getConnectionEstablishmentObserver($endpt, $connector);
    /**
     * This method should return an observer for the given endpoint
     * information. The Ice run-time calls this method to resolve an
     * endpoint and obtain the list of connectors.
     * 
     * For IP endpoints, this typically involves doing a DNS lookup to
     * obtain the IP addresses associated with the DNS name.
     * 
     * @param endpt The endpoint.
     * 
     * @return The observer to instrument the endpoint lookup.
     * 
     *
     * @returnType Ice_Instrumentation_Observer
     * @returnIceType ::Ice::Instrumentation::Observer
     * @paramType endpt Ice_Endpoint
     */
    public function getEndpointLookupObserver($endpt);
    /**
     * This method should return a connection observer for the given
     * connection. The Ice run-time calls this method for each new
     * connection and for all the Ice communicator connections when
     * {@link ObserverUpdater#updateConnectionObservers} is called.
     * 
     * @param c The connection information.
     * 
     * @param e The connection endpoint.
     * 
     * @param s The state of the connection.
     * 
     * @param o The old connection observer if one is already set or a
     * null reference otherwise.
     * 
     * @return The connection observer to instrument the connection.
     * 
     *
     * @returnType Ice_Instrumentation_ConnectionObserver
     * @returnIceType ::Ice::Instrumentation::ConnectionObserver
     * @paramType c Ice_ConnectionInfo
     * @paramType e Ice_Endpoint
     * @paramType s Ice_Instrumentation_ConnectionState
     * @paramType o Ice_Instrumentation_ConnectionObserver
     */
    public function getConnectionObserver($c, $e, $s, $o);
    /**
     * This method should return a thread observer for the given
     * thread. The Ice run-time calls this method for each new thread
     * and for all the Ice communicator threads when
     * {@link ObserverUpdater#updateThreadObservers} is called.
     * 
     * @param parent The parent of the thread.
     * 
     * @param id The ID of the thread to observe.
     * 
     * @param s The state of the thread.
     * 
     * @param o The old thread observer if one is already set or a
     * null reference otherwise.
     * 
     * @return The thread observer to instrument the thread.
     * 
     *
     * @returnType Ice_Instrumentation_ThreadObserver
     * @returnIceType ::Ice::Instrumentation::ThreadObserver
     * @paramType parent string
     * @paramType id string
     * @paramType s Ice_Instrumentation_ThreadState
     * @paramType o Ice_Instrumentation_ThreadObserver
     */
    public function getThreadObserver($parent, $id, $s, $o);
    /**
     * This method should return an invocation observer for the given
     * invocation. The Ice run-time calls this method for each new
     * invocation on a proxy.
     * 
     * @param prx The proxy used for the invocation.
     * 
     * @param operation The name of the invocation.
     * 
     * @param ctx The context specified by the user.
     * 
     * @return The invocation observer to instrument the invocation.
     * 
     *
     * @returnType Ice_Instrumentation_InvocationObserver
     * @returnIceType ::Ice::Instrumentation::InvocationObserver
     * @paramType prx ::Ice::Object*
     * @paramType operation string
     * @paramType ctx dict
     */
    public function getInvocationObserver($prx, $operation, $ctx);
    /**
     * This method should return a dispatch observer for the given
     * dispatch. The Ice run-time calls this method each time it
     * receives an incoming invocation to be dispatched for an Ice
     * object.
     * 
     * @param c The current object as provided to the Ice servant
     * dispatching the invocation.
     * 
     * @param size The size of the dispatch.
     * 
     * @return The dispatch observer to instrument the dispatch.
     * 
     *
     * @returnType Ice_Instrumentation_DispatchObserver
     * @returnIceType ::Ice::Instrumentation::DispatchObserver
     * @paramType c Ice_Current
     * @paramType size int
     */
    public function getDispatchObserver($c, $size);
    /**
     * The Ice run-time calls this method when the communicator is
     * initialized. The add-in implementing this interface can use
     * this object to get the Ice run-time to re-obtain observers for
     * observed objects.
     * 
     * @param updater The observer updater object.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType updater Ice_Instrumentation_ObserverUpdater
     */
    public function setObserverUpdater($updater);
}
$Ice_Instrumentation__t_CommunicatorObserver = IcePHP_defineClass('::Ice::Instrumentation::CommunicatorObserver', 'Ice_Instrumentation_CommunicatorObserver', -1, false, true, null, null);
?>
