<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `LocalException.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/Identity.php';
require_once 'Ice/Version.php';
require_once 'Ice/BuiltinSequences.php';

global $Ice__t_InitializationException;
/**
 * This exception is raised when a failure occurs during initialization.
 * 
 *
 * @iceType ::Ice::InitializationException
 * @iceKind exception
 */
class Ice_InitializationException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::Ice::InitializationException';
    }

    public function __toString()
    {
        global $Ice__t_InitializationException;
        return IcePHP_stringifyException($this, $Ice__t_InitializationException);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$Ice__t_InitializationException = IcePHP_defineException('::Ice::InitializationException', 'Ice_InitializationException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $Ice__t_PluginInitializationException;
/**
 * This exception indicates that a failure occurred while initializing
 * a plug-in.
 * 
 *
 * @iceType ::Ice::PluginInitializationException
 * @iceKind exception
 */
class Ice_PluginInitializationException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::Ice::PluginInitializationException';
    }

    public function __toString()
    {
        global $Ice__t_PluginInitializationException;
        return IcePHP_stringifyException($this, $Ice__t_PluginInitializationException);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$Ice__t_PluginInitializationException = IcePHP_defineException('::Ice::PluginInitializationException', 'Ice_PluginInitializationException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $Ice__t_CollocationOptimizationException;
/**
 * This exception is raised if a feature is requested that is not
 * supported with collocation optimization.
 * 
 *
 * @iceType ::Ice::CollocationOptimizationException
 * @iceKind exception
 */
class Ice_CollocationOptimizationException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::CollocationOptimizationException';
    }

    public function __toString()
    {
        global $Ice__t_CollocationOptimizationException;
        return IcePHP_stringifyException($this, $Ice__t_CollocationOptimizationException);
    }
}

$Ice__t_CollocationOptimizationException = IcePHP_defineException('::Ice::CollocationOptimizationException', 'Ice_CollocationOptimizationException', false, null, null);

global $Ice__t_AlreadyRegisteredException;
/**
 * An attempt was made to register something more than once with
 * the Ice run time.
 * 
 * This exception is raised if an attempt is made to register a
 * servant, servant locator, facet, value factory, plug-in, object
 * adapter, object, or user exception factory more than once for the
 * same ID.
 * 
 *
 * @iceType ::Ice::AlreadyRegisteredException
 * @iceKind exception
 */
class Ice_AlreadyRegisteredException extends Ice_LocalException
{
    public function __construct($kindOfObject='', $id='')
    {
        $this->kindOfObject = $kindOfObject;
        $this->id = $id;
    }

    public function ice_id()
    {
        return '::Ice::AlreadyRegisteredException';
    }

    public function __toString()
    {
        global $Ice__t_AlreadyRegisteredException;
        return IcePHP_stringifyException($this, $Ice__t_AlreadyRegisteredException);
    }

    /**
     * The kind of object that could not be removed: "servant", "facet",
     * "object", "default servant", "servant locator", "value factory", "plugin",
     * "object adapter", "object adapter with router", "replica group".
     * 
     *
     * @var string
    */
    public $kindOfObject;
    /**
     * The ID (or name) of the object that is registered already.
     * 
     *
     * @var string
    */
    public $id;
}
global $IcePHP__t_string;

$Ice__t_AlreadyRegisteredException = IcePHP_defineException('::Ice::AlreadyRegisteredException', 'Ice_AlreadyRegisteredException', false, null, array(
    array('kindOfObject', $IcePHP__t_string, false, 0),
    array('id', $IcePHP__t_string, false, 0)));

global $Ice__t_NotRegisteredException;
/**
 * An attempt was made to find or deregister something that is not
 * registered with the Ice run time or Ice locator.
 * 
 * This exception is raised if an attempt is made to remove a servant,
 * servant locator, facet, value factory, plug-in, object adapter,
 * object, or user exception factory that is not currently registered.
 * 
 * It's also raised if the Ice locator can't find an object or object
 * adapter when resolving an indirect proxy or when an object adapter
 * is activated.
 * 
 *
 * @iceType ::Ice::NotRegisteredException
 * @iceKind exception
 */
class Ice_NotRegisteredException extends Ice_LocalException
{
    public function __construct($kindOfObject='', $id='')
    {
        $this->kindOfObject = $kindOfObject;
        $this->id = $id;
    }

    public function ice_id()
    {
        return '::Ice::NotRegisteredException';
    }

    public function __toString()
    {
        global $Ice__t_NotRegisteredException;
        return IcePHP_stringifyException($this, $Ice__t_NotRegisteredException);
    }

    /**
     * The kind of object that could not be removed: "servant", "facet",
     * "object", "default servant", "servant locator", "value factory", "plugin",
     * "object adapter", "object adapter with router", "replica group".
     * 
     *
     * @var string
    */
    public $kindOfObject;
    /**
     * The ID (or name) of the object that could not be removed.
     * 
     *
     * @var string
    */
    public $id;
}
global $IcePHP__t_string;

$Ice__t_NotRegisteredException = IcePHP_defineException('::Ice::NotRegisteredException', 'Ice_NotRegisteredException', false, null, array(
    array('kindOfObject', $IcePHP__t_string, false, 0),
    array('id', $IcePHP__t_string, false, 0)));

global $Ice__t_TwowayOnlyException;
/**
 * The operation can only be invoked with a twoway request.
 * 
 * This exception is raised if an attempt is made to invoke an
 * operation with <code>ice_oneway</code>, <code>ice_batchOneway</code>, <code>ice_datagram</code>,
 * or <code>ice_batchDatagram</code> and the operation has a return value,
 * out-parameters, or an exception specification.
 * 
 *
 * @iceType ::Ice::TwowayOnlyException
 * @iceKind exception
 */
class Ice_TwowayOnlyException extends Ice_LocalException
{
    public function __construct($operation='')
    {
        $this->operation = $operation;
    }

    public function ice_id()
    {
        return '::Ice::TwowayOnlyException';
    }

    public function __toString()
    {
        global $Ice__t_TwowayOnlyException;
        return IcePHP_stringifyException($this, $Ice__t_TwowayOnlyException);
    }

    /**
     * The name of the operation that was invoked.
     * 
     *
     * @var string
    */
    public $operation;
}
global $IcePHP__t_string;

$Ice__t_TwowayOnlyException = IcePHP_defineException('::Ice::TwowayOnlyException', 'Ice_TwowayOnlyException', false, null, array(
    array('operation', $IcePHP__t_string, false, 0)));

global $Ice__t_CloneNotImplementedException;
/**
 * An attempt was made to clone a class that does not support
 * cloning.
 * 
 * This exception is raised if <code>ice_clone</code> is called on
 * a class that is derived from an abstract Slice class (that is,
 * a class containing operations), and the derived class does not
 * provide an implementation of the <code>ice_clone</code> operation (C++ only).
 * 
 *
 * @iceType ::Ice::CloneNotImplementedException
 * @iceKind exception
 */
class Ice_CloneNotImplementedException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::CloneNotImplementedException';
    }

    public function __toString()
    {
        global $Ice__t_CloneNotImplementedException;
        return IcePHP_stringifyException($this, $Ice__t_CloneNotImplementedException);
    }
}

$Ice__t_CloneNotImplementedException = IcePHP_defineException('::Ice::CloneNotImplementedException', 'Ice_CloneNotImplementedException', false, null, null);

global $Ice__t_UnknownException;
/**
 * This exception is raised if an operation call on a server raises an
 * unknown exception. For example, for C++, this exception is raised
 * if the server throws a C++ exception that is not directly or
 * indirectly derived from <code>Ice::LocalException</code> or
 * <code>Ice::UserException</code>.
 * 
 *
 * @iceType ::Ice::UnknownException
 * @iceKind exception
 */
class Ice_UnknownException extends Ice_LocalException
{
    public function __construct($unknown='')
    {
        $this->unknown = $unknown;
    }

    public function ice_id()
    {
        return '::Ice::UnknownException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownException);
    }

    /**
     * This field is set to the textual representation of the unknown
     * exception if available.
     * 
     *
     * @var string
    */
    public $unknown;
}
global $IcePHP__t_string;

$Ice__t_UnknownException = IcePHP_defineException('::Ice::UnknownException', 'Ice_UnknownException', false, null, array(
    array('unknown', $IcePHP__t_string, false, 0)));

global $Ice__t_UnknownLocalException;
/**
 * This exception is raised if an operation call on a server raises a
 * local exception. Because local exceptions are not transmitted by
 * the Ice protocol, the client receives all local exceptions raised
 * by the server as {@link UnknownLocalException}. The only exception to this
 * rule are all exceptions derived from {@link RequestFailedException},
 * which are transmitted by the Ice protocol even though they are
 * declared <code>local</code>.
 * 
 *
 * @iceType ::Ice::UnknownLocalException
 * @iceKind exception
 */
class Ice_UnknownLocalException extends Ice_UnknownException
{
    public function __construct($unknown='')
    {
        parent::__construct($unknown);
    }

    public function ice_id()
    {
        return '::Ice::UnknownLocalException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownLocalException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownLocalException);
    }
}

$Ice__t_UnknownLocalException = IcePHP_defineException('::Ice::UnknownLocalException', 'Ice_UnknownLocalException', false, $Ice__t_UnknownException, null);

global $Ice__t_UnknownUserException;
/**
 * An operation raised an incorrect user exception.
 * 
 * This exception is raised if an operation raises a
 * user exception that is not declared in the exception's
 * <code>throws</code> clause. Such undeclared exceptions are
 * not transmitted from the server to the client by the Ice
 * protocol, but instead the client just gets an
 * {@link UnknownUserException}. This is necessary in order to not violate
 * the contract established by an operation's signature: Only local
 * exceptions and user exceptions declared in the
 * <code>throws</code> clause can be raised.
 * 
 *
 * @iceType ::Ice::UnknownUserException
 * @iceKind exception
 */
class Ice_UnknownUserException extends Ice_UnknownException
{
    public function __construct($unknown='')
    {
        parent::__construct($unknown);
    }

    public function ice_id()
    {
        return '::Ice::UnknownUserException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownUserException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownUserException);
    }
}

$Ice__t_UnknownUserException = IcePHP_defineException('::Ice::UnknownUserException', 'Ice_UnknownUserException', false, $Ice__t_UnknownException, null);

global $Ice__t_VersionMismatchException;
/**
 * This exception is raised if the Ice library version does not match
 * the version in the Ice header files.
 * 
 *
 * @iceType ::Ice::VersionMismatchException
 * @iceKind exception
 */
class Ice_VersionMismatchException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::VersionMismatchException';
    }

    public function __toString()
    {
        global $Ice__t_VersionMismatchException;
        return IcePHP_stringifyException($this, $Ice__t_VersionMismatchException);
    }
}

$Ice__t_VersionMismatchException = IcePHP_defineException('::Ice::VersionMismatchException', 'Ice_VersionMismatchException', false, null, null);

global $Ice__t_CommunicatorDestroyedException;
/**
 * This exception is raised if the {@link Communicator} has been destroyed.
 * 
 * @see Communicator#destroy
 * 
 *
 * @iceType ::Ice::CommunicatorDestroyedException
 * @iceKind exception
 */
class Ice_CommunicatorDestroyedException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::CommunicatorDestroyedException';
    }

    public function __toString()
    {
        global $Ice__t_CommunicatorDestroyedException;
        return IcePHP_stringifyException($this, $Ice__t_CommunicatorDestroyedException);
    }
}

$Ice__t_CommunicatorDestroyedException = IcePHP_defineException('::Ice::CommunicatorDestroyedException', 'Ice_CommunicatorDestroyedException', false, null, null);

global $Ice__t_ObjectAdapterDeactivatedException;
/**
 * This exception is raised if an attempt is made to use a deactivated
 * {@link ObjectAdapter}.
 * 
 * @see ObjectAdapter#deactivate
 * @see Communicator#shutdown
 * 
 *
 * @iceType ::Ice::ObjectAdapterDeactivatedException
 * @iceKind exception
 */
class Ice_ObjectAdapterDeactivatedException extends Ice_LocalException
{
    public function __construct($name='')
    {
        $this->name = $name;
    }

    public function ice_id()
    {
        return '::Ice::ObjectAdapterDeactivatedException';
    }

    public function __toString()
    {
        global $Ice__t_ObjectAdapterDeactivatedException;
        return IcePHP_stringifyException($this, $Ice__t_ObjectAdapterDeactivatedException);
    }

    /**
     * Name of the adapter.
     * 
     *
     * @var string
    */
    public $name;
}
global $IcePHP__t_string;

$Ice__t_ObjectAdapterDeactivatedException = IcePHP_defineException('::Ice::ObjectAdapterDeactivatedException', 'Ice_ObjectAdapterDeactivatedException', false, null, array(
    array('name', $IcePHP__t_string, false, 0)));

global $Ice__t_ObjectAdapterIdInUseException;
/**
 * This exception is raised if an {@link ObjectAdapter} cannot be activated.
 * 
 * This happens if the {@link Locator} detects another active {@link ObjectAdapter} with
 * the same adapter id.
 * 
 *
 * @iceType ::Ice::ObjectAdapterIdInUseException
 * @iceKind exception
 */
class Ice_ObjectAdapterIdInUseException extends Ice_LocalException
{
    public function __construct($id='')
    {
        $this->id = $id;
    }

    public function ice_id()
    {
        return '::Ice::ObjectAdapterIdInUseException';
    }

    public function __toString()
    {
        global $Ice__t_ObjectAdapterIdInUseException;
        return IcePHP_stringifyException($this, $Ice__t_ObjectAdapterIdInUseException);
    }

    /**
     * Adapter ID.
     * 
     *
     * @var string
    */
    public $id;
}
global $IcePHP__t_string;

$Ice__t_ObjectAdapterIdInUseException = IcePHP_defineException('::Ice::ObjectAdapterIdInUseException', 'Ice_ObjectAdapterIdInUseException', false, null, array(
    array('id', $IcePHP__t_string, false, 0)));

global $Ice__t_NoEndpointException;
/**
 * This exception is raised if no suitable endpoint is available.
 * 
 *
 * @iceType ::Ice::NoEndpointException
 * @iceKind exception
 */
class Ice_NoEndpointException extends Ice_LocalException
{
    public function __construct($proxy='')
    {
        $this->proxy = $proxy;
    }

    public function ice_id()
    {
        return '::Ice::NoEndpointException';
    }

    public function __toString()
    {
        global $Ice__t_NoEndpointException;
        return IcePHP_stringifyException($this, $Ice__t_NoEndpointException);
    }

    /**
     * The stringified proxy for which no suitable endpoint is
     * available.
     * 
     *
     * @var string
    */
    public $proxy;
}
global $IcePHP__t_string;

$Ice__t_NoEndpointException = IcePHP_defineException('::Ice::NoEndpointException', 'Ice_NoEndpointException', false, null, array(
    array('proxy', $IcePHP__t_string, false, 0)));

global $Ice__t_EndpointParseException;
/**
 * This exception is raised if there was an error while parsing an
 * endpoint.
 * 
 *
 * @iceType ::Ice::EndpointParseException
 * @iceKind exception
 */
class Ice_EndpointParseException extends Ice_LocalException
{
    public function __construct($str='')
    {
        $this->str = $str;
    }

    public function ice_id()
    {
        return '::Ice::EndpointParseException';
    }

    public function __toString()
    {
        global $Ice__t_EndpointParseException;
        return IcePHP_stringifyException($this, $Ice__t_EndpointParseException);
    }

    /**
     * Describes the failure and includes the string that could not be parsed.
     * 
     *
     * @var string
    */
    public $str;
}
global $IcePHP__t_string;

$Ice__t_EndpointParseException = IcePHP_defineException('::Ice::EndpointParseException', 'Ice_EndpointParseException', false, null, array(
    array('str', $IcePHP__t_string, false, 0)));

global $Ice__t_EndpointSelectionTypeParseException;
/**
 * This exception is raised if there was an error while parsing an
 * endpoint selection type.
 * 
 *
 * @iceType ::Ice::EndpointSelectionTypeParseException
 * @iceKind exception
 */
class Ice_EndpointSelectionTypeParseException extends Ice_LocalException
{
    public function __construct($str='')
    {
        $this->str = $str;
    }

    public function ice_id()
    {
        return '::Ice::EndpointSelectionTypeParseException';
    }

    public function __toString()
    {
        global $Ice__t_EndpointSelectionTypeParseException;
        return IcePHP_stringifyException($this, $Ice__t_EndpointSelectionTypeParseException);
    }

    /**
     * Describes the failure and includes the string that could not be parsed.
     * 
     *
     * @var string
    */
    public $str;
}
global $IcePHP__t_string;

$Ice__t_EndpointSelectionTypeParseException = IcePHP_defineException('::Ice::EndpointSelectionTypeParseException', 'Ice_EndpointSelectionTypeParseException', false, null, array(
    array('str', $IcePHP__t_string, false, 0)));

global $Ice__t_VersionParseException;
/**
 * This exception is raised if there was an error while parsing a
 * version.
 * 
 *
 * @iceType ::Ice::VersionParseException
 * @iceKind exception
 */
class Ice_VersionParseException extends Ice_LocalException
{
    public function __construct($str='')
    {
        $this->str = $str;
    }

    public function ice_id()
    {
        return '::Ice::VersionParseException';
    }

    public function __toString()
    {
        global $Ice__t_VersionParseException;
        return IcePHP_stringifyException($this, $Ice__t_VersionParseException);
    }

    /**
     * Describes the failure and includes the string that could not be parsed.
     * 
     *
     * @var string
    */
    public $str;
}
global $IcePHP__t_string;

$Ice__t_VersionParseException = IcePHP_defineException('::Ice::VersionParseException', 'Ice_VersionParseException', false, null, array(
    array('str', $IcePHP__t_string, false, 0)));

global $Ice__t_IdentityParseException;
/**
 * This exception is raised if there was an error while parsing a
 * stringified identity.
 * 
 *
 * @iceType ::Ice::IdentityParseException
 * @iceKind exception
 */
class Ice_IdentityParseException extends Ice_LocalException
{
    public function __construct($str='')
    {
        $this->str = $str;
    }

    public function ice_id()
    {
        return '::Ice::IdentityParseException';
    }

    public function __toString()
    {
        global $Ice__t_IdentityParseException;
        return IcePHP_stringifyException($this, $Ice__t_IdentityParseException);
    }

    /**
     * Describes the failure and includes the string that could not be parsed.
     * 
     *
     * @var string
    */
    public $str;
}
global $IcePHP__t_string;

$Ice__t_IdentityParseException = IcePHP_defineException('::Ice::IdentityParseException', 'Ice_IdentityParseException', false, null, array(
    array('str', $IcePHP__t_string, false, 0)));

global $Ice__t_ProxyParseException;
/**
 * This exception is raised if there was an error while parsing a
 * stringified proxy.
 * 
 *
 * @iceType ::Ice::ProxyParseException
 * @iceKind exception
 */
class Ice_ProxyParseException extends Ice_LocalException
{
    public function __construct($str='')
    {
        $this->str = $str;
    }

    public function ice_id()
    {
        return '::Ice::ProxyParseException';
    }

    public function __toString()
    {
        global $Ice__t_ProxyParseException;
        return IcePHP_stringifyException($this, $Ice__t_ProxyParseException);
    }

    /**
     * Describes the failure and includes the string that could not be parsed.
     * 
     *
     * @var string
    */
    public $str;
}
global $IcePHP__t_string;

$Ice__t_ProxyParseException = IcePHP_defineException('::Ice::ProxyParseException', 'Ice_ProxyParseException', false, null, array(
    array('str', $IcePHP__t_string, false, 0)));

global $Ice__t_IllegalIdentityException;
/**
 * This exception is raised if an illegal identity is encountered.
 * 
 *
 * @iceType ::Ice::IllegalIdentityException
 * @iceKind exception
 */
class Ice_IllegalIdentityException extends Ice_LocalException
{
    public function __construct($id=null)
    {
        $this->id = is_null($id) ? new Ice_Identity : $id;
    }

    public function ice_id()
    {
        return '::Ice::IllegalIdentityException';
    }

    public function __toString()
    {
        global $Ice__t_IllegalIdentityException;
        return IcePHP_stringifyException($this, $Ice__t_IllegalIdentityException);
    }

    /**
     * The illegal identity.
     * 
     *
     * @var Ice_Identity
    */
    public $id;
}
global $Ice__t_Identity;

$Ice__t_IllegalIdentityException = IcePHP_defineException('::Ice::IllegalIdentityException', 'Ice_IllegalIdentityException', false, null, array(
    array('id', $Ice__t_Identity, false, 0)));

global $Ice__t_IllegalServantException;
/**
 * This exception is raised to reject an illegal servant (typically
 * a null servant)
 * 
 *
 * @iceType ::Ice::IllegalServantException
 * @iceKind exception
 */
class Ice_IllegalServantException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::Ice::IllegalServantException';
    }

    public function __toString()
    {
        global $Ice__t_IllegalServantException;
        return IcePHP_stringifyException($this, $Ice__t_IllegalServantException);
    }

    /**
     * Describes why this servant is illegal.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$Ice__t_IllegalServantException = IcePHP_defineException('::Ice::IllegalServantException', 'Ice_IllegalServantException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $Ice__t_RequestFailedException;
/**
 * This exception is raised if a request failed. This exception, and
 * all exceptions derived from {@link RequestFailedException}, are
 * transmitted by the Ice protocol, even though they are declared
 * <code>local</code>.
 * 
 *
 * @iceType ::Ice::RequestFailedException
 * @iceKind exception
 */
class Ice_RequestFailedException extends Ice_LocalException
{
    public function __construct($id=null, $facet='', $operation='')
    {
        $this->id = is_null($id) ? new Ice_Identity : $id;
        $this->facet = $facet;
        $this->operation = $operation;
    }

    public function ice_id()
    {
        return '::Ice::RequestFailedException';
    }

    public function __toString()
    {
        global $Ice__t_RequestFailedException;
        return IcePHP_stringifyException($this, $Ice__t_RequestFailedException);
    }

    /**
     * The identity of the Ice Object to which the request was sent.
     *
     * @var Ice_Identity
    */
    public $id;
    /**
     * The facet to which the request was sent.
     *
     * @var string
    */
    public $facet;
    /**
     * The operation name of the request.
     *
     * @var string
    */
    public $operation;
}
global $Ice__t_Identity;
global $IcePHP__t_string;

$Ice__t_RequestFailedException = IcePHP_defineException('::Ice::RequestFailedException', 'Ice_RequestFailedException', false, null, array(
    array('id', $Ice__t_Identity, false, 0),
    array('facet', $IcePHP__t_string, false, 0),
    array('operation', $IcePHP__t_string, false, 0)));

global $Ice__t_ObjectNotExistException;
/**
 * This exception is raised if an object does not exist on the server,
 * that is, if no facets with the given identity exist.
 * 
 *
 * @iceType ::Ice::ObjectNotExistException
 * @iceKind exception
 */
class Ice_ObjectNotExistException extends Ice_RequestFailedException
{
    public function __construct($id=null, $facet='', $operation='')
    {
        parent::__construct($id, $facet, $operation);
    }

    public function ice_id()
    {
        return '::Ice::ObjectNotExistException';
    }

    public function __toString()
    {
        global $Ice__t_ObjectNotExistException;
        return IcePHP_stringifyException($this, $Ice__t_ObjectNotExistException);
    }
}

$Ice__t_ObjectNotExistException = IcePHP_defineException('::Ice::ObjectNotExistException', 'Ice_ObjectNotExistException', false, $Ice__t_RequestFailedException, null);

global $Ice__t_FacetNotExistException;
/**
 * This exception is raised if no facet with the given name exists,
 * but at least one facet with the given identity exists.
 * 
 *
 * @iceType ::Ice::FacetNotExistException
 * @iceKind exception
 */
class Ice_FacetNotExistException extends Ice_RequestFailedException
{
    public function __construct($id=null, $facet='', $operation='')
    {
        parent::__construct($id, $facet, $operation);
    }

    public function ice_id()
    {
        return '::Ice::FacetNotExistException';
    }

    public function __toString()
    {
        global $Ice__t_FacetNotExistException;
        return IcePHP_stringifyException($this, $Ice__t_FacetNotExistException);
    }
}

$Ice__t_FacetNotExistException = IcePHP_defineException('::Ice::FacetNotExistException', 'Ice_FacetNotExistException', false, $Ice__t_RequestFailedException, null);

global $Ice__t_OperationNotExistException;
/**
 * This exception is raised if an operation for a given object does
 * not exist on the server. Typically this is caused by either the
 * client or the server using an outdated Slice specification.
 * 
 *
 * @iceType ::Ice::OperationNotExistException
 * @iceKind exception
 */
class Ice_OperationNotExistException extends Ice_RequestFailedException
{
    public function __construct($id=null, $facet='', $operation='')
    {
        parent::__construct($id, $facet, $operation);
    }

    public function ice_id()
    {
        return '::Ice::OperationNotExistException';
    }

    public function __toString()
    {
        global $Ice__t_OperationNotExistException;
        return IcePHP_stringifyException($this, $Ice__t_OperationNotExistException);
    }
}

$Ice__t_OperationNotExistException = IcePHP_defineException('::Ice::OperationNotExistException', 'Ice_OperationNotExistException', false, $Ice__t_RequestFailedException, null);

global $Ice__t_SyscallException;
/**
 * This exception is raised if a system error occurred in the server
 * or client process. There are many possible causes for such a system
 * exception. For details on the cause, {@link SyscallException#error}
 * should be inspected.
 * 
 *
 * @iceType ::Ice::SyscallException
 * @iceKind exception
 */
class Ice_SyscallException extends Ice_LocalException
{
    public function __construct($error=0)
    {
        $this->error = $error;
    }

    public function ice_id()
    {
        return '::Ice::SyscallException';
    }

    public function __toString()
    {
        global $Ice__t_SyscallException;
        return IcePHP_stringifyException($this, $Ice__t_SyscallException);
    }

    /**
     * The error number describing the system exception. For C++ and
     * Unix, this is equivalent to <code>errno</code>. For C++
     * and Windows, this is the value returned by
     * <code>GetLastError()</code> or
     * <code>WSAGetLastError()</code>.
     * 
     *
     * @var int
    */
    public $error;
}
global $IcePHP__t_int;

$Ice__t_SyscallException = IcePHP_defineException('::Ice::SyscallException', 'Ice_SyscallException', false, null, array(
    array('error', $IcePHP__t_int, false, 0)));

global $Ice__t_SocketException;
/**
 * This exception indicates socket errors.
 * 
 *
 * @iceType ::Ice::SocketException
 * @iceKind exception
 */
class Ice_SocketException extends Ice_SyscallException
{
    public function __construct($error=0)
    {
        parent::__construct($error);
    }

    public function ice_id()
    {
        return '::Ice::SocketException';
    }

    public function __toString()
    {
        global $Ice__t_SocketException;
        return IcePHP_stringifyException($this, $Ice__t_SocketException);
    }
}

$Ice__t_SocketException = IcePHP_defineException('::Ice::SocketException', 'Ice_SocketException', false, $Ice__t_SyscallException, null);

global $Ice__t_CFNetworkException;
/**
 * This exception indicates CFNetwork errors.
 * 
 *
 * @iceType ::Ice::CFNetworkException
 * @iceKind exception
 */
class Ice_CFNetworkException extends Ice_SocketException
{
    public function __construct($error=0, $domain='')
    {
        parent::__construct($error);
        $this->domain = $domain;
    }

    public function ice_id()
    {
        return '::Ice::CFNetworkException';
    }

    public function __toString()
    {
        global $Ice__t_CFNetworkException;
        return IcePHP_stringifyException($this, $Ice__t_CFNetworkException);
    }

    /**
     * The domain of the error.
     * 
     *
     * @var string
    */
    public $domain;
}
global $IcePHP__t_string;

$Ice__t_CFNetworkException = IcePHP_defineException('::Ice::CFNetworkException', 'Ice_CFNetworkException', false, $Ice__t_SocketException, array(
    array('domain', $IcePHP__t_string, false, 0)));

global $Ice__t_FileException;
/**
 * This exception indicates file errors.
 * 
 *
 * @iceType ::Ice::FileException
 * @iceKind exception
 */
class Ice_FileException extends Ice_SyscallException
{
    public function __construct($error=0, $path='')
    {
        parent::__construct($error);
        $this->path = $path;
    }

    public function ice_id()
    {
        return '::Ice::FileException';
    }

    public function __toString()
    {
        global $Ice__t_FileException;
        return IcePHP_stringifyException($this, $Ice__t_FileException);
    }

    /**
     * The path of the file responsible for the error.
     *
     * @var string
    */
    public $path;
}
global $IcePHP__t_string;

$Ice__t_FileException = IcePHP_defineException('::Ice::FileException', 'Ice_FileException', false, $Ice__t_SyscallException, array(
    array('path', $IcePHP__t_string, false, 0)));

global $Ice__t_ConnectFailedException;
/**
 * This exception indicates connection failures.
 * 
 *
 * @iceType ::Ice::ConnectFailedException
 * @iceKind exception
 */
class Ice_ConnectFailedException extends Ice_SocketException
{
    public function __construct($error=0)
    {
        parent::__construct($error);
    }

    public function ice_id()
    {
        return '::Ice::ConnectFailedException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectFailedException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectFailedException);
    }
}

$Ice__t_ConnectFailedException = IcePHP_defineException('::Ice::ConnectFailedException', 'Ice_ConnectFailedException', false, $Ice__t_SocketException, null);

global $Ice__t_ConnectionRefusedException;
/**
 * This exception indicates a connection failure for which
 * the server host actively refuses a connection.
 * 
 *
 * @iceType ::Ice::ConnectionRefusedException
 * @iceKind exception
 */
class Ice_ConnectionRefusedException extends Ice_ConnectFailedException
{
    public function __construct($error=0)
    {
        parent::__construct($error);
    }

    public function ice_id()
    {
        return '::Ice::ConnectionRefusedException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectionRefusedException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectionRefusedException);
    }
}

$Ice__t_ConnectionRefusedException = IcePHP_defineException('::Ice::ConnectionRefusedException', 'Ice_ConnectionRefusedException', false, $Ice__t_ConnectFailedException, null);

global $Ice__t_ConnectionLostException;
/**
 * This exception indicates a lost connection.
 * 
 *
 * @iceType ::Ice::ConnectionLostException
 * @iceKind exception
 */
class Ice_ConnectionLostException extends Ice_SocketException
{
    public function __construct($error=0)
    {
        parent::__construct($error);
    }

    public function ice_id()
    {
        return '::Ice::ConnectionLostException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectionLostException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectionLostException);
    }
}

$Ice__t_ConnectionLostException = IcePHP_defineException('::Ice::ConnectionLostException', 'Ice_ConnectionLostException', false, $Ice__t_SocketException, null);

global $Ice__t_DNSException;
/**
 * This exception indicates a DNS problem. For details on the cause,
 * {@link DNSException#error} should be inspected.
 * 
 *
 * @iceType ::Ice::DNSException
 * @iceKind exception
 */
class Ice_DNSException extends Ice_LocalException
{
    public function __construct($error=0, $host='')
    {
        $this->error = $error;
        $this->host = $host;
    }

    public function ice_id()
    {
        return '::Ice::DNSException';
    }

    public function __toString()
    {
        global $Ice__t_DNSException;
        return IcePHP_stringifyException($this, $Ice__t_DNSException);
    }

    /**
     * The error number describing the DNS problem. For C++ and Unix,
     * this is equivalent to <code>h_errno</code>. For C++ and
     * Windows, this is the value returned by
     * <code>WSAGetLastError()</code>.
     * 
     *
     * @var int
    */
    public $error;
    /**
     * The host name that could not be resolved.
     * 
     *
     * @var string
    */
    public $host;
}
global $IcePHP__t_int;
global $IcePHP__t_string;

$Ice__t_DNSException = IcePHP_defineException('::Ice::DNSException', 'Ice_DNSException', false, null, array(
    array('error', $IcePHP__t_int, false, 0),
    array('host', $IcePHP__t_string, false, 0)));

global $Ice__t_OperationInterruptedException;
/**
 * This exception indicates a request was interrupted.
 * 
 *
 * @iceType ::Ice::OperationInterruptedException
 * @iceKind exception
 */
class Ice_OperationInterruptedException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::OperationInterruptedException';
    }

    public function __toString()
    {
        global $Ice__t_OperationInterruptedException;
        return IcePHP_stringifyException($this, $Ice__t_OperationInterruptedException);
    }
}

$Ice__t_OperationInterruptedException = IcePHP_defineException('::Ice::OperationInterruptedException', 'Ice_OperationInterruptedException', false, null, null);

global $Ice__t_TimeoutException;
/**
 * This exception indicates a timeout condition.
 * 
 *
 * @iceType ::Ice::TimeoutException
 * @iceKind exception
 */
class Ice_TimeoutException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::TimeoutException';
    }

    public function __toString()
    {
        global $Ice__t_TimeoutException;
        return IcePHP_stringifyException($this, $Ice__t_TimeoutException);
    }
}

$Ice__t_TimeoutException = IcePHP_defineException('::Ice::TimeoutException', 'Ice_TimeoutException', false, null, null);

global $Ice__t_ConnectTimeoutException;
/**
 * This exception indicates a connection establishment timeout condition.
 * 
 *
 * @iceType ::Ice::ConnectTimeoutException
 * @iceKind exception
 */
class Ice_ConnectTimeoutException extends Ice_TimeoutException
{
    public function __construct()
    {
        parent::__construct();
    }

    public function ice_id()
    {
        return '::Ice::ConnectTimeoutException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectTimeoutException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectTimeoutException);
    }
}

$Ice__t_ConnectTimeoutException = IcePHP_defineException('::Ice::ConnectTimeoutException', 'Ice_ConnectTimeoutException', false, $Ice__t_TimeoutException, null);

global $Ice__t_CloseTimeoutException;
/**
 * This exception indicates a connection closure timeout condition.
 * 
 *
 * @iceType ::Ice::CloseTimeoutException
 * @iceKind exception
 */
class Ice_CloseTimeoutException extends Ice_TimeoutException
{
    public function __construct()
    {
        parent::__construct();
    }

    public function ice_id()
    {
        return '::Ice::CloseTimeoutException';
    }

    public function __toString()
    {
        global $Ice__t_CloseTimeoutException;
        return IcePHP_stringifyException($this, $Ice__t_CloseTimeoutException);
    }
}

$Ice__t_CloseTimeoutException = IcePHP_defineException('::Ice::CloseTimeoutException', 'Ice_CloseTimeoutException', false, $Ice__t_TimeoutException, null);

global $Ice__t_ConnectionTimeoutException;
/**
 * This exception indicates that a connection has been shut down because it has been
 * idle for some time.
 * 
 *
 * @iceType ::Ice::ConnectionTimeoutException
 * @iceKind exception
 */
class Ice_ConnectionTimeoutException extends Ice_TimeoutException
{
    public function __construct()
    {
        parent::__construct();
    }

    public function ice_id()
    {
        return '::Ice::ConnectionTimeoutException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectionTimeoutException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectionTimeoutException);
    }
}

$Ice__t_ConnectionTimeoutException = IcePHP_defineException('::Ice::ConnectionTimeoutException', 'Ice_ConnectionTimeoutException', false, $Ice__t_TimeoutException, null);

global $Ice__t_InvocationTimeoutException;
/**
 * This exception indicates that an invocation failed because it timed
 * out.
 * 
 *
 * @iceType ::Ice::InvocationTimeoutException
 * @iceKind exception
 */
class Ice_InvocationTimeoutException extends Ice_TimeoutException
{
    public function __construct()
    {
        parent::__construct();
    }

    public function ice_id()
    {
        return '::Ice::InvocationTimeoutException';
    }

    public function __toString()
    {
        global $Ice__t_InvocationTimeoutException;
        return IcePHP_stringifyException($this, $Ice__t_InvocationTimeoutException);
    }
}

$Ice__t_InvocationTimeoutException = IcePHP_defineException('::Ice::InvocationTimeoutException', 'Ice_InvocationTimeoutException', false, $Ice__t_TimeoutException, null);

global $Ice__t_InvocationCanceledException;
/**
 * This exception indicates that an asynchronous invocation failed
 * because it was canceled explicitly by the user.
 * 
 *
 * @iceType ::Ice::InvocationCanceledException
 * @iceKind exception
 */
class Ice_InvocationCanceledException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::InvocationCanceledException';
    }

    public function __toString()
    {
        global $Ice__t_InvocationCanceledException;
        return IcePHP_stringifyException($this, $Ice__t_InvocationCanceledException);
    }
}

$Ice__t_InvocationCanceledException = IcePHP_defineException('::Ice::InvocationCanceledException', 'Ice_InvocationCanceledException', false, null, null);

global $Ice__t_ProtocolException;
/**
 * A generic exception base for all kinds of protocol error
 * conditions.
 * 
 *
 * @iceType ::Ice::ProtocolException
 * @iceKind exception
 */
class Ice_ProtocolException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::Ice::ProtocolException';
    }

    public function __toString()
    {
        global $Ice__t_ProtocolException;
        return IcePHP_stringifyException($this, $Ice__t_ProtocolException);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$Ice__t_ProtocolException = IcePHP_defineException('::Ice::ProtocolException', 'Ice_ProtocolException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $Ice__t_BadMagicException;
/**
 * This exception indicates that a message did not start with the expected
 * magic number ('I', 'c', 'e', 'P').
 * 
 *
 * @iceType ::Ice::BadMagicException
 * @iceKind exception
 */
class Ice_BadMagicException extends Ice_ProtocolException
{
    public function __construct($reason='', $badMagic=null)
    {
        parent::__construct($reason);
        $this->badMagic = $badMagic;
    }

    public function ice_id()
    {
        return '::Ice::BadMagicException';
    }

    public function __toString()
    {
        global $Ice__t_BadMagicException;
        return IcePHP_stringifyException($this, $Ice__t_BadMagicException);
    }

    /**
     * A sequence containing the first four bytes of the incorrect message.
     * 
     *
     * @var byte[]
    */
    public $badMagic;
}
global $Ice__t_ByteSeq;

$Ice__t_BadMagicException = IcePHP_defineException('::Ice::BadMagicException', 'Ice_BadMagicException', false, $Ice__t_ProtocolException, array(
    array('badMagic', $Ice__t_ByteSeq, false, 0)));

global $Ice__t_UnsupportedProtocolException;
/**
 * This exception indicates an unsupported protocol version.
 * 
 *
 * @iceType ::Ice::UnsupportedProtocolException
 * @iceKind exception
 */
class Ice_UnsupportedProtocolException extends Ice_ProtocolException
{
    public function __construct($reason='', $bad=null, $supported=null)
    {
        parent::__construct($reason);
        $this->bad = is_null($bad) ? new Ice_ProtocolVersion : $bad;
        $this->supported = is_null($supported) ? new Ice_ProtocolVersion : $supported;
    }

    public function ice_id()
    {
        return '::Ice::UnsupportedProtocolException';
    }

    public function __toString()
    {
        global $Ice__t_UnsupportedProtocolException;
        return IcePHP_stringifyException($this, $Ice__t_UnsupportedProtocolException);
    }

    /**
     * The version of the unsupported protocol.
     * 
     *
     * @var Ice_ProtocolVersion
    */
    public $bad;
    /**
     * The version of the protocol that is supported.
     * 
     *
     * @var Ice_ProtocolVersion
    */
    public $supported;
}
global $Ice__t_ProtocolVersion;

$Ice__t_UnsupportedProtocolException = IcePHP_defineException('::Ice::UnsupportedProtocolException', 'Ice_UnsupportedProtocolException', false, $Ice__t_ProtocolException, array(
    array('bad', $Ice__t_ProtocolVersion, false, 0),
    array('supported', $Ice__t_ProtocolVersion, false, 0)));

global $Ice__t_UnsupportedEncodingException;
/**
 * This exception indicates an unsupported data encoding version.
 * 
 *
 * @iceType ::Ice::UnsupportedEncodingException
 * @iceKind exception
 */
class Ice_UnsupportedEncodingException extends Ice_ProtocolException
{
    public function __construct($reason='', $bad=null, $supported=null)
    {
        parent::__construct($reason);
        $this->bad = is_null($bad) ? new Ice_EncodingVersion : $bad;
        $this->supported = is_null($supported) ? new Ice_EncodingVersion : $supported;
    }

    public function ice_id()
    {
        return '::Ice::UnsupportedEncodingException';
    }

    public function __toString()
    {
        global $Ice__t_UnsupportedEncodingException;
        return IcePHP_stringifyException($this, $Ice__t_UnsupportedEncodingException);
    }

    /**
     * The version of the unsupported encoding.
     * 
     *
     * @var Ice_EncodingVersion
    */
    public $bad;
    /**
     * The version of the encoding that is supported.
     * 
     *
     * @var Ice_EncodingVersion
    */
    public $supported;
}
global $Ice__t_EncodingVersion;

$Ice__t_UnsupportedEncodingException = IcePHP_defineException('::Ice::UnsupportedEncodingException', 'Ice_UnsupportedEncodingException', false, $Ice__t_ProtocolException, array(
    array('bad', $Ice__t_EncodingVersion, false, 0),
    array('supported', $Ice__t_EncodingVersion, false, 0)));

global $Ice__t_UnknownMessageException;
/**
 * This exception indicates that an unknown protocol message has been received.
 * 
 *
 * @iceType ::Ice::UnknownMessageException
 * @iceKind exception
 */
class Ice_UnknownMessageException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::UnknownMessageException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownMessageException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownMessageException);
    }
}

$Ice__t_UnknownMessageException = IcePHP_defineException('::Ice::UnknownMessageException', 'Ice_UnknownMessageException', false, $Ice__t_ProtocolException, null);

global $Ice__t_ConnectionNotValidatedException;
/**
 * This exception is raised if a message is received over a connection
 * that is not yet validated.
 * 
 *
 * @iceType ::Ice::ConnectionNotValidatedException
 * @iceKind exception
 */
class Ice_ConnectionNotValidatedException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::ConnectionNotValidatedException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectionNotValidatedException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectionNotValidatedException);
    }
}

$Ice__t_ConnectionNotValidatedException = IcePHP_defineException('::Ice::ConnectionNotValidatedException', 'Ice_ConnectionNotValidatedException', false, $Ice__t_ProtocolException, null);

global $Ice__t_UnknownRequestIdException;
/**
 * This exception indicates that a response for an unknown request ID has been
 * received.
 * 
 *
 * @iceType ::Ice::UnknownRequestIdException
 * @iceKind exception
 */
class Ice_UnknownRequestIdException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::UnknownRequestIdException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownRequestIdException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownRequestIdException);
    }
}

$Ice__t_UnknownRequestIdException = IcePHP_defineException('::Ice::UnknownRequestIdException', 'Ice_UnknownRequestIdException', false, $Ice__t_ProtocolException, null);

global $Ice__t_UnknownReplyStatusException;
/**
 * This exception indicates that an unknown reply status has been received.
 * 
 *
 * @iceType ::Ice::UnknownReplyStatusException
 * @iceKind exception
 */
class Ice_UnknownReplyStatusException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::UnknownReplyStatusException';
    }

    public function __toString()
    {
        global $Ice__t_UnknownReplyStatusException;
        return IcePHP_stringifyException($this, $Ice__t_UnknownReplyStatusException);
    }
}

$Ice__t_UnknownReplyStatusException = IcePHP_defineException('::Ice::UnknownReplyStatusException', 'Ice_UnknownReplyStatusException', false, $Ice__t_ProtocolException, null);

global $Ice__t_CloseConnectionException;
/**
 * This exception indicates that the connection has been gracefully shut down by the
 * server. The operation call that caused this exception has not been
 * executed by the server. In most cases you will not get this
 * exception, because the client will automatically retry the
 * operation call in case the server shut down the connection. However,
 * if upon retry the server shuts down the connection again, and the
 * retry limit has been reached, then this exception is propagated to
 * the application code.
 * 
 *
 * @iceType ::Ice::CloseConnectionException
 * @iceKind exception
 */
class Ice_CloseConnectionException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::CloseConnectionException';
    }

    public function __toString()
    {
        global $Ice__t_CloseConnectionException;
        return IcePHP_stringifyException($this, $Ice__t_CloseConnectionException);
    }
}

$Ice__t_CloseConnectionException = IcePHP_defineException('::Ice::CloseConnectionException', 'Ice_CloseConnectionException', false, $Ice__t_ProtocolException, null);

global $Ice__t_ConnectionManuallyClosedException;
/**
 * This exception is raised by an operation call if the application
 * closes the connection locally using {@link Connection#close}.
 * 
 * @see Connection#close
 * 
 *
 * @iceType ::Ice::ConnectionManuallyClosedException
 * @iceKind exception
 */
class Ice_ConnectionManuallyClosedException extends Ice_LocalException
{
    public function __construct($graceful=false)
    {
        $this->graceful = $graceful;
    }

    public function ice_id()
    {
        return '::Ice::ConnectionManuallyClosedException';
    }

    public function __toString()
    {
        global $Ice__t_ConnectionManuallyClosedException;
        return IcePHP_stringifyException($this, $Ice__t_ConnectionManuallyClosedException);
    }

    /**
     * True if the connection was closed gracefully, false otherwise.
     *
     * @var bool
    */
    public $graceful;
}
global $IcePHP__t_bool;

$Ice__t_ConnectionManuallyClosedException = IcePHP_defineException('::Ice::ConnectionManuallyClosedException', 'Ice_ConnectionManuallyClosedException', false, null, array(
    array('graceful', $IcePHP__t_bool, false, 0)));

global $Ice__t_IllegalMessageSizeException;
/**
 * This exception indicates that a message size is less
 * than the minimum required size.
 * 
 *
 * @iceType ::Ice::IllegalMessageSizeException
 * @iceKind exception
 */
class Ice_IllegalMessageSizeException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::IllegalMessageSizeException';
    }

    public function __toString()
    {
        global $Ice__t_IllegalMessageSizeException;
        return IcePHP_stringifyException($this, $Ice__t_IllegalMessageSizeException);
    }
}

$Ice__t_IllegalMessageSizeException = IcePHP_defineException('::Ice::IllegalMessageSizeException', 'Ice_IllegalMessageSizeException', false, $Ice__t_ProtocolException, null);

global $Ice__t_CompressionException;
/**
 * This exception indicates a problem with compressing or uncompressing data.
 * 
 *
 * @iceType ::Ice::CompressionException
 * @iceKind exception
 */
class Ice_CompressionException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::CompressionException';
    }

    public function __toString()
    {
        global $Ice__t_CompressionException;
        return IcePHP_stringifyException($this, $Ice__t_CompressionException);
    }
}

$Ice__t_CompressionException = IcePHP_defineException('::Ice::CompressionException', 'Ice_CompressionException', false, $Ice__t_ProtocolException, null);

global $Ice__t_DatagramLimitException;
/**
 * A datagram exceeds the configured size.
 * 
 * This exception is raised if a datagram exceeds the configured send or receive buffer
 * size, or exceeds the maximum payload size of a UDP packet (65507 bytes).
 * 
 *
 * @iceType ::Ice::DatagramLimitException
 * @iceKind exception
 */
class Ice_DatagramLimitException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::DatagramLimitException';
    }

    public function __toString()
    {
        global $Ice__t_DatagramLimitException;
        return IcePHP_stringifyException($this, $Ice__t_DatagramLimitException);
    }
}

$Ice__t_DatagramLimitException = IcePHP_defineException('::Ice::DatagramLimitException', 'Ice_DatagramLimitException', false, $Ice__t_ProtocolException, null);

global $Ice__t_MarshalException;
/**
 * This exception is raised for errors during marshaling or unmarshaling data.
 * 
 *
 * @iceType ::Ice::MarshalException
 * @iceKind exception
 */
class Ice_MarshalException extends Ice_ProtocolException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::MarshalException';
    }

    public function __toString()
    {
        global $Ice__t_MarshalException;
        return IcePHP_stringifyException($this, $Ice__t_MarshalException);
    }
}

$Ice__t_MarshalException = IcePHP_defineException('::Ice::MarshalException', 'Ice_MarshalException', false, $Ice__t_ProtocolException, null);

global $Ice__t_ProxyUnmarshalException;
/**
 * This exception is raised if inconsistent data is received while unmarshaling a proxy.
 * 
 *
 * @iceType ::Ice::ProxyUnmarshalException
 * @iceKind exception
 */
class Ice_ProxyUnmarshalException extends Ice_MarshalException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::ProxyUnmarshalException';
    }

    public function __toString()
    {
        global $Ice__t_ProxyUnmarshalException;
        return IcePHP_stringifyException($this, $Ice__t_ProxyUnmarshalException);
    }
}

$Ice__t_ProxyUnmarshalException = IcePHP_defineException('::Ice::ProxyUnmarshalException', 'Ice_ProxyUnmarshalException', false, $Ice__t_MarshalException, null);

global $Ice__t_UnmarshalOutOfBoundsException;
/**
 * This exception is raised if an out-of-bounds condition occurs during unmarshaling.
 * 
 *
 * @iceType ::Ice::UnmarshalOutOfBoundsException
 * @iceKind exception
 */
class Ice_UnmarshalOutOfBoundsException extends Ice_MarshalException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::UnmarshalOutOfBoundsException';
    }

    public function __toString()
    {
        global $Ice__t_UnmarshalOutOfBoundsException;
        return IcePHP_stringifyException($this, $Ice__t_UnmarshalOutOfBoundsException);
    }
}

$Ice__t_UnmarshalOutOfBoundsException = IcePHP_defineException('::Ice::UnmarshalOutOfBoundsException', 'Ice_UnmarshalOutOfBoundsException', false, $Ice__t_MarshalException, null);

global $Ice__t_NoValueFactoryException;
/**
 * This exception is raised if no suitable value factory was found during
 * unmarshaling of a Slice class instance.
 * 
 * @see ValueFactory
 * @see Communicator#getValueFactoryManager
 * @see ValueFactoryManager#add
 * @see ValueFactoryManager#find
 * 
 *
 * @iceType ::Ice::NoValueFactoryException
 * @iceKind exception
 */
class Ice_NoValueFactoryException extends Ice_MarshalException
{
    public function __construct($reason='', $type='')
    {
        parent::__construct($reason);
        $this->type = $type;
    }

    public function ice_id()
    {
        return '::Ice::NoValueFactoryException';
    }

    public function __toString()
    {
        global $Ice__t_NoValueFactoryException;
        return IcePHP_stringifyException($this, $Ice__t_NoValueFactoryException);
    }

    /**
     * The Slice type ID of the class instance for which no
     * no factory could be found.
     * 
     *
     * @var string
    */
    public $type;
}
global $IcePHP__t_string;

$Ice__t_NoValueFactoryException = IcePHP_defineException('::Ice::NoValueFactoryException', 'Ice_NoValueFactoryException', false, $Ice__t_MarshalException, array(
    array('type', $IcePHP__t_string, false, 0)));

global $Ice__t_UnexpectedObjectException;
/**
 * This exception is raised if the type of an unmarshaled Slice class instance does
 * not match its expected type.
 * This can happen if client and server are compiled with mismatched Slice
 * definitions or if a class of the wrong type is passed as a parameter
 * or return value using dynamic invocation. This exception can also be
 * raised if IceStorm is used to send Slice class instances and
 * an operation is subscribed to the wrong topic.
 * 
 *
 * @iceType ::Ice::UnexpectedObjectException
 * @iceKind exception
 */
class Ice_UnexpectedObjectException extends Ice_MarshalException
{
    public function __construct($reason='', $type='', $expectedType='')
    {
        parent::__construct($reason);
        $this->type = $type;
        $this->expectedType = $expectedType;
    }

    public function ice_id()
    {
        return '::Ice::UnexpectedObjectException';
    }

    public function __toString()
    {
        global $Ice__t_UnexpectedObjectException;
        return IcePHP_stringifyException($this, $Ice__t_UnexpectedObjectException);
    }

    /**
     * The Slice type ID of the class instance that was unmarshaled.
     * 
     *
     * @var string
    */
    public $type;
    /**
     * The Slice type ID that was expected by the receiving operation.
     * 
     *
     * @var string
    */
    public $expectedType;
}
global $IcePHP__t_string;

$Ice__t_UnexpectedObjectException = IcePHP_defineException('::Ice::UnexpectedObjectException', 'Ice_UnexpectedObjectException', false, $Ice__t_MarshalException, array(
    array('type', $IcePHP__t_string, false, 0),
    array('expectedType', $IcePHP__t_string, false, 0)));

global $Ice__t_MemoryLimitException;
/**
 * This exception is raised when Ice receives a request or reply
 * message whose size exceeds the limit specified by the
 * <code>Ice.MessageSizeMax</code> property.
 * 
 *
 * @iceType ::Ice::MemoryLimitException
 * @iceKind exception
 */
class Ice_MemoryLimitException extends Ice_MarshalException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::MemoryLimitException';
    }

    public function __toString()
    {
        global $Ice__t_MemoryLimitException;
        return IcePHP_stringifyException($this, $Ice__t_MemoryLimitException);
    }
}

$Ice__t_MemoryLimitException = IcePHP_defineException('::Ice::MemoryLimitException', 'Ice_MemoryLimitException', false, $Ice__t_MarshalException, null);

global $Ice__t_StringConversionException;
/**
 * This exception is raised when a string conversion to or from UTF-8
 * fails during marshaling or unmarshaling.
 * 
 *
 * @iceType ::Ice::StringConversionException
 * @iceKind exception
 */
class Ice_StringConversionException extends Ice_MarshalException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::StringConversionException';
    }

    public function __toString()
    {
        global $Ice__t_StringConversionException;
        return IcePHP_stringifyException($this, $Ice__t_StringConversionException);
    }
}

$Ice__t_StringConversionException = IcePHP_defineException('::Ice::StringConversionException', 'Ice_StringConversionException', false, $Ice__t_MarshalException, null);

global $Ice__t_EncapsulationException;
/**
 * This exception indicates a malformed data encapsulation.
 * 
 *
 * @iceType ::Ice::EncapsulationException
 * @iceKind exception
 */
class Ice_EncapsulationException extends Ice_MarshalException
{
    public function __construct($reason='')
    {
        parent::__construct($reason);
    }

    public function ice_id()
    {
        return '::Ice::EncapsulationException';
    }

    public function __toString()
    {
        global $Ice__t_EncapsulationException;
        return IcePHP_stringifyException($this, $Ice__t_EncapsulationException);
    }
}

$Ice__t_EncapsulationException = IcePHP_defineException('::Ice::EncapsulationException', 'Ice_EncapsulationException', false, $Ice__t_MarshalException, null);

global $Ice__t_FeatureNotSupportedException;
/**
 * This exception is raised if an unsupported feature is used. The
 * unsupported feature string contains the name of the unsupported
 * feature
 * 
 *
 * @iceType ::Ice::FeatureNotSupportedException
 * @iceKind exception
 */
class Ice_FeatureNotSupportedException extends Ice_LocalException
{
    public function __construct($unsupportedFeature='')
    {
        $this->unsupportedFeature = $unsupportedFeature;
    }

    public function ice_id()
    {
        return '::Ice::FeatureNotSupportedException';
    }

    public function __toString()
    {
        global $Ice__t_FeatureNotSupportedException;
        return IcePHP_stringifyException($this, $Ice__t_FeatureNotSupportedException);
    }

    /**
     * The name of the unsupported feature.
     * 
     *
     * @var string
    */
    public $unsupportedFeature;
}
global $IcePHP__t_string;

$Ice__t_FeatureNotSupportedException = IcePHP_defineException('::Ice::FeatureNotSupportedException', 'Ice_FeatureNotSupportedException', false, null, array(
    array('unsupportedFeature', $IcePHP__t_string, false, 0)));

global $Ice__t_SecurityException;
/**
 * This exception indicates a failure in a security subsystem,
 * such as the IceSSL plug-in.
 * 
 *
 * @iceType ::Ice::SecurityException
 * @iceKind exception
 */
class Ice_SecurityException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::Ice::SecurityException';
    }

    public function __toString()
    {
        global $Ice__t_SecurityException;
        return IcePHP_stringifyException($this, $Ice__t_SecurityException);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$Ice__t_SecurityException = IcePHP_defineException('::Ice::SecurityException', 'Ice_SecurityException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $Ice__t_FixedProxyException;
/**
 * This exception indicates that an attempt has been made to
 * change the connection properties of a fixed proxy.
 * 
 *
 * @iceType ::Ice::FixedProxyException
 * @iceKind exception
 */
class Ice_FixedProxyException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::FixedProxyException';
    }

    public function __toString()
    {
        global $Ice__t_FixedProxyException;
        return IcePHP_stringifyException($this, $Ice__t_FixedProxyException);
    }
}

$Ice__t_FixedProxyException = IcePHP_defineException('::Ice::FixedProxyException', 'Ice_FixedProxyException', false, null, null);

global $Ice__t_ResponseSentException;
/**
 * Indicates that the response to a request has already been sent;
 * re-dispatching such a request is not possible.
 * 
 *
 * @iceType ::Ice::ResponseSentException
 * @iceKind exception
 */
class Ice_ResponseSentException extends Ice_LocalException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::ResponseSentException';
    }

    public function __toString()
    {
        global $Ice__t_ResponseSentException;
        return IcePHP_stringifyException($this, $Ice__t_ResponseSentException);
    }
}

$Ice__t_ResponseSentException = IcePHP_defineException('::Ice::ResponseSentException', 'Ice_ResponseSentException', false, null, null);
?>
