<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Logger.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//


global $Ice__t_Logger;

/**
 * The Ice message logger. Applications can provide their own logger
 * by implementing this interface and installing it in a communicator.
 * 
 *
 * @iceType ::Ice::Logger
 * @iceKind interface
 */
interface Ice_Logger
{
    /**
     * Print a message. The message is printed literally, without
     * any decorations such as executable name or time stamp.
     * 
     * @param message The message to log.
     *
     * @returnType void
     * @returnIceType void
     * @paramType message string
     */
    public function _print($message);
    /**
     * Log a trace message.
     * 
     * @param category The trace category.
     * 
     * @param message The trace message to log.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType category string
     * @paramType message string
     */
    public function trace($category, $message);
    /**
     * Log a warning message.
     * 
     * @param message The warning message to log.
     * 
     * @see #error
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType message string
     */
    public function warning($message);
    /**
     * Log an error message.
     * 
     * @param message The error message to log.
     * 
     * @see #warning
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType message string
     */
    public function error($message);
    /**
     * Returns this logger's prefix.
     * 
     * @return The prefix.
     * 
     *
     * @returnType string
     * @returnIceType string
     */
    public function getPrefix();
    /**
     * Returns a clone of the logger with a new prefix.
     * 
     * @param prefix The new prefix for the logger.
     * @return A logger instance.
     * 
     *
     * @returnType Ice_Logger
     * @returnIceType ::Ice::Logger
     * @paramType prefix string
     */
    public function cloneWithPrefix($prefix);
}
$Ice__t_Logger = IcePHP_defineClass('::Ice::Logger', 'Ice_Logger', -1, false, true, null, null);
?>
