<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Metrics.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/BuiltinSequences.php';

global $IceMX__t_StringIntDict;

if(!isset($IceMX__t_StringIntDict))
{
    global $IcePHP__t_string;
    global $IcePHP__t_int;
    $IceMX__t_StringIntDict = IcePHP_defineDictionary('::IceMX::StringIntDict', $IcePHP__t_string, $IcePHP__t_int);
}

global $IceMX__t_Metrics;

/**
 * The base class for metrics. A metrics object represents a
 * collection of measurements associated to a given a system.
 * 
 *
 * @iceType ::IceMX::Metrics
 * @iceKind class
 */
class IceMX_Metrics extends Ice_Value
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0)
    {
        $this->id = $id;
        $this->total = $total;
        $this->current = $current;
        $this->totalLifetime = $totalLifetime;
        $this->failures = $failures;
    }

    public function ice_id()
    {
        return '::IceMX::Metrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::Metrics';
    }

    public function __toString()
    {
        global $IceMX__t_Metrics;
        return IcePHP_stringify($this, $IceMX__t_Metrics);
    }

    /**
     * The metrics identifier.
     * 
     *
     * @var string
     */
    public $id;
    /**
     * The total number of objects observed by this metrics. This includes
     * the number of currently observed objects and the number of objects
     * observed in the past.
     * 
     *
     * @var long
     */
    public $total;
    /**
     * The number of objects currently observed by this metrics.
     * 
     *
     * @var int
     */
    public $current;
    /**
     * The sum of the lifetime of each observed objects. This does not
     * include the lifetime of objects which are currently observed,
     * only the objects observed in the past.
     * 
     *
     * @var long
     */
    public $totalLifetime;
    /**
     * The number of failures observed.
     * 
     *
     * @var int
     */
    public $failures;
}

global $Ice__t_Value;
global $IcePHP__t_string;
global $IcePHP__t_long;
global $IcePHP__t_int;
$IceMX__t_Metrics = IcePHP_defineClass('::IceMX::Metrics', 'IceMX_Metrics', -1, false, false, $Ice__t_Value, array(
    array('id', $IcePHP__t_string, false, 0),
    array('total', $IcePHP__t_long, false, 0),
    array('current', $IcePHP__t_int, false, 0),
    array('totalLifetime', $IcePHP__t_long, false, 0),
    array('failures', $IcePHP__t_int, false, 0)));

global $IceMX__t_MetricsFailures;
/**
 * A structure to keep track of failures associated with a given
 * metrics.
 * 
 *
 * @iceType ::IceMX::MetricsFailures
 * @iceKind struct
 */
class IceMX_MetricsFailures
{
    public function __construct($id='', $failures=null)
    {
        $this->id = $id;
        $this->failures = $failures;
    }

    public function __toString()
    {
        global $IceMX__t_MetricsFailures;
        return IcePHP_stringify($this, $IceMX__t_MetricsFailures);
    }

    /**
     * The identifier of the metrics object associated to the
     * failures.
     * 
     *
     * @var string
     */
    public $id;
    /**
     * The failures observed for this metrics.
     * 
     *
     * @var dict
     */
    public $failures;
}

global $IcePHP__t_string;
global $IceMX__t_StringIntDict;
$IceMX__t_MetricsFailures = IcePHP_defineStruct('::IceMX::MetricsFailures', 'IceMX_MetricsFailures', array(
    array('id', $IcePHP__t_string),
    array('failures', $IceMX__t_StringIntDict)));

global $IceMX__t_MetricsFailuresSeq;

if(!isset($IceMX__t_MetricsFailuresSeq))
{
    global $IceMX__t_MetricsFailures;
    $IceMX__t_MetricsFailuresSeq = IcePHP_defineSequence('::IceMX::MetricsFailuresSeq', $IceMX__t_MetricsFailures);
}

global $IceMX__t_MetricsMap;

if(!isset($IceMX__t_MetricsMap))
{
    global $IceMX__t_Metrics;
    $IceMX__t_MetricsMap = IcePHP_defineSequence('::IceMX::MetricsMap', $IceMX__t_Metrics);
}

global $IceMX__t_MetricsView;

if(!isset($IceMX__t_MetricsView))
{
    global $IcePHP__t_string;
    global $IceMX__t_MetricsMap;
    $IceMX__t_MetricsView = IcePHP_defineDictionary('::IceMX::MetricsView', $IcePHP__t_string, $IceMX__t_MetricsMap);
}

global $IceMX__t_UnknownMetricsView;
/**
 * Raised if a metrics view cannot be found.
 * 
 *
 * @iceType ::IceMX::UnknownMetricsView
 * @iceKind exception
 */
class IceMX_UnknownMetricsView extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::IceMX::UnknownMetricsView';
    }

    public function __toString()
    {
        global $IceMX__t_UnknownMetricsView;
        return IcePHP_stringifyException($this, $IceMX__t_UnknownMetricsView);
    }
}

$IceMX__t_UnknownMetricsView = IcePHP_defineException('::IceMX::UnknownMetricsView', 'IceMX_UnknownMetricsView', false, null, null);

global $IceMX__t_MetricsAdmin;
global $IceMX__t_MetricsAdminPrx;

class IceMX_MetricsAdminPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceMX::MetricsAdmin', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceMX::MetricsAdmin', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceMX::MetricsAdmin';
    }
}
$IceMX__t_MetricsAdmin = IcePHP_defineClass('::IceMX::MetricsAdmin', 'IceMX_MetricsAdmin', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceMX__t_MetricsAdminPrx = IcePHP_defineProxy('::IceMX::MetricsAdmin', $Ice__t_ObjectPrx, null);

global $Ice__t_StringSeq;
global $IcePHP__t_string;
global $IcePHP__t_long;
global $IceMX__t_MetricsView;
global $IceMX__t_MetricsFailuresSeq;
global $IceMX__t_MetricsFailures;
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'getMetricsViewNames', 0, 0, 2, null, array(array($Ice__t_StringSeq)), array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'enableMetricsView', 0, 0, 2, array(array($IcePHP__t_string)), null, null, array($IceMX__t_UnknownMetricsView));
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'disableMetricsView', 0, 0, 2, array(array($IcePHP__t_string)), null, null, array($IceMX__t_UnknownMetricsView));
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'getMetricsView', 0, 0, 2, array(array($IcePHP__t_string)), array(array($IcePHP__t_long)), array($IceMX__t_MetricsView), array($IceMX__t_UnknownMetricsView));
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'getMapMetricsFailures', 0, 0, 2, array(array($IcePHP__t_string), array($IcePHP__t_string)), null, array($IceMX__t_MetricsFailuresSeq), array($IceMX__t_UnknownMetricsView));
IcePHP_defineOperation($IceMX__t_MetricsAdminPrx, 'getMetricsFailures', 0, 0, 2, array(array($IcePHP__t_string), array($IcePHP__t_string), array($IcePHP__t_string)), null, array($IceMX__t_MetricsFailures), array($IceMX__t_UnknownMetricsView));

global $IceMX__t_ThreadMetrics;

/**
 * Provides information on the number of threads currently in use and
 * their activity.
 * 
 *
 * @iceType ::IceMX::ThreadMetrics
 * @iceKind class
 */
class IceMX_ThreadMetrics extends IceMX_Metrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $inUseForIO=0, $inUseForUser=0, $inUseForOther=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures);
        $this->inUseForIO = $inUseForIO;
        $this->inUseForUser = $inUseForUser;
        $this->inUseForOther = $inUseForOther;
    }

    public function ice_id()
    {
        return '::IceMX::ThreadMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::ThreadMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_ThreadMetrics;
        return IcePHP_stringify($this, $IceMX__t_ThreadMetrics);
    }

    /**
     * The number of threads which are currently performing socket
     * read or writes.
     * 
     *
     * @var int
     */
    public $inUseForIO;
    /**
     * The number of threads which are currently calling user code
     * (servant dispatch, AMI callbacks, etc).
     * 
     *
     * @var int
     */
    public $inUseForUser;
    /**
     * The number of threads which are currently performing other
     * activities. These are all other that are not counted with
     * {@link #inUseForUser} or {@link #inUseForIO}, such as DNS
     * lookups, garbage collection).
     * 
     *
     * @var int
     */
    public $inUseForOther;
}

global $IceMX__t_Metrics;
global $IcePHP__t_int;
$IceMX__t_ThreadMetrics = IcePHP_defineClass('::IceMX::ThreadMetrics', 'IceMX_ThreadMetrics', -1, false, false, $IceMX__t_Metrics, array(
    array('inUseForIO', $IcePHP__t_int, false, 0),
    array('inUseForUser', $IcePHP__t_int, false, 0),
    array('inUseForOther', $IcePHP__t_int, false, 0)));

global $IceMX__t_DispatchMetrics;

/**
 * Provides information on servant dispatch.
 * 
 *
 * @iceType ::IceMX::DispatchMetrics
 * @iceKind class
 */
class IceMX_DispatchMetrics extends IceMX_Metrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $userException=0, $size=0, $replySize=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures);
        $this->userException = $userException;
        $this->size = $size;
        $this->replySize = $replySize;
    }

    public function ice_id()
    {
        return '::IceMX::DispatchMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::DispatchMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_DispatchMetrics;
        return IcePHP_stringify($this, $IceMX__t_DispatchMetrics);
    }

    /**
     * The number of dispatch that failed with a user exception.
     * 
     *
     * @var int
     */
    public $userException;
    /**
     * The size of the dispatch. This corresponds to the size of the
     * marshalled input parameters.
     * 
     *
     * @var long
     */
    public $size;
    /**
     * The size of the dispatch reply. This corresponds to the size of
     * the marshalled output and return parameters.
     * 
     *
     * @var long
     */
    public $replySize;
}

global $IceMX__t_Metrics;
global $IcePHP__t_int;
global $IcePHP__t_long;
$IceMX__t_DispatchMetrics = IcePHP_defineClass('::IceMX::DispatchMetrics', 'IceMX_DispatchMetrics', -1, false, false, $IceMX__t_Metrics, array(
    array('userException', $IcePHP__t_int, false, 0),
    array('size', $IcePHP__t_long, false, 0),
    array('replySize', $IcePHP__t_long, false, 0)));

global $IceMX__t_ChildInvocationMetrics;

/**
 * Provides information on child invocations. A child invocation is
 * either remote (sent over an Ice connection) or collocated. An
 * invocation can have multiple child invocation if it is
 * retried. Child invocation metrics are embedded within
 * {@link InvocationMetrics}.
 * 
 *
 * @iceType ::IceMX::ChildInvocationMetrics
 * @iceKind class
 */
class IceMX_ChildInvocationMetrics extends IceMX_Metrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $size=0, $replySize=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures);
        $this->size = $size;
        $this->replySize = $replySize;
    }

    public function ice_id()
    {
        return '::IceMX::ChildInvocationMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::ChildInvocationMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_ChildInvocationMetrics;
        return IcePHP_stringify($this, $IceMX__t_ChildInvocationMetrics);
    }

    /**
     * The size of the invocation. This corresponds to the size of the
     * marshalled input parameters.
     * 
     *
     * @var long
     */
    public $size;
    /**
     * The size of the invocation reply. This corresponds to the size
     * of the marshalled output and return parameters.
     * 
     *
     * @var long
     */
    public $replySize;
}

global $IceMX__t_Metrics;
global $IcePHP__t_long;
$IceMX__t_ChildInvocationMetrics = IcePHP_defineClass('::IceMX::ChildInvocationMetrics', 'IceMX_ChildInvocationMetrics', -1, false, false, $IceMX__t_Metrics, array(
    array('size', $IcePHP__t_long, false, 0),
    array('replySize', $IcePHP__t_long, false, 0)));

global $IceMX__t_CollocatedMetrics;

/**
 * Provides information on invocations that are collocated. Collocated
 * metrics are embedded within {@link InvocationMetrics}.
 * 
 *
 * @iceType ::IceMX::CollocatedMetrics
 * @iceKind class
 */
class IceMX_CollocatedMetrics extends IceMX_ChildInvocationMetrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $size=0, $replySize=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures, $size, $replySize);
    }

    public function ice_id()
    {
        return '::IceMX::CollocatedMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::CollocatedMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_CollocatedMetrics;
        return IcePHP_stringify($this, $IceMX__t_CollocatedMetrics);
    }
}

global $IceMX__t_ChildInvocationMetrics;
$IceMX__t_CollocatedMetrics = IcePHP_defineClass('::IceMX::CollocatedMetrics', 'IceMX_CollocatedMetrics', -1, false, false, $IceMX__t_ChildInvocationMetrics, null);

global $IceMX__t_RemoteMetrics;

/**
 * Provides information on invocations that are specifically sent over
 * Ice connections. Remote metrics are embedded within {@link InvocationMetrics}.
 * 
 *
 * @iceType ::IceMX::RemoteMetrics
 * @iceKind class
 */
class IceMX_RemoteMetrics extends IceMX_ChildInvocationMetrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $size=0, $replySize=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures, $size, $replySize);
    }

    public function ice_id()
    {
        return '::IceMX::RemoteMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::RemoteMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_RemoteMetrics;
        return IcePHP_stringify($this, $IceMX__t_RemoteMetrics);
    }
}

global $IceMX__t_ChildInvocationMetrics;
$IceMX__t_RemoteMetrics = IcePHP_defineClass('::IceMX::RemoteMetrics', 'IceMX_RemoteMetrics', -1, false, false, $IceMX__t_ChildInvocationMetrics, null);

global $IceMX__t_InvocationMetrics;

/**
 * Provide measurements for proxy invocations. Proxy invocations can
 * either be sent over the wire or be collocated.
 * 
 *
 * @iceType ::IceMX::InvocationMetrics
 * @iceKind class
 */
class IceMX_InvocationMetrics extends IceMX_Metrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $retry=0, $userException=0, $remotes=null, $collocated=null)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures);
        $this->retry = $retry;
        $this->userException = $userException;
        $this->remotes = $remotes;
        $this->collocated = $collocated;
    }

    public function ice_id()
    {
        return '::IceMX::InvocationMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::InvocationMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_InvocationMetrics;
        return IcePHP_stringify($this, $IceMX__t_InvocationMetrics);
    }

    /**
     * The number of retries for the invocation(s).
     * 
     *
     * @var int
     */
    public $retry;
    /**
     * The number of invocations that failed with a user exception.
     * 
     *
     * @var int
     */
    public $userException;
    /**
     * The remote invocation metrics map.
     * 
     * @see RemoteMetrics
     * 
     *
     * @var IceMX_Metrics[]
     */
    public $remotes;
    /**
     * The collocated invocation metrics map.
     * 
     * @see CollocatedMetrics
     * 
     *
     * @var IceMX_Metrics[]
     */
    public $collocated;
}

$IceMX__t_InvocationMetrics = IcePHP_declareClass('::IceMX::InvocationMetrics');

global $IceMX__t_Metrics;
global $IcePHP__t_int;
global $IceMX__t_MetricsMap;
$IceMX__t_InvocationMetrics = IcePHP_defineClass('::IceMX::InvocationMetrics', 'IceMX_InvocationMetrics', -1, false, false, $IceMX__t_Metrics, array(
    array('retry', $IcePHP__t_int, false, 0),
    array('userException', $IcePHP__t_int, false, 0),
    array('remotes', $IceMX__t_MetricsMap, false, 0),
    array('collocated', $IceMX__t_MetricsMap, false, 0)));

global $IceMX__t_ConnectionMetrics;

/**
 * Provides information on the data sent and received over Ice
 * connections.
 * 
 *
 * @iceType ::IceMX::ConnectionMetrics
 * @iceKind class
 */
class IceMX_ConnectionMetrics extends IceMX_Metrics
{
    public function __construct($id='', $total=0, $current=0, $totalLifetime=0, $failures=0, $receivedBytes=0, $sentBytes=0)
    {
        parent::__construct($id, $total, $current, $totalLifetime, $failures);
        $this->receivedBytes = $receivedBytes;
        $this->sentBytes = $sentBytes;
    }

    public function ice_id()
    {
        return '::IceMX::ConnectionMetrics';
    }

    public static function ice_staticId()
    {
        return '::IceMX::ConnectionMetrics';
    }

    public function __toString()
    {
        global $IceMX__t_ConnectionMetrics;
        return IcePHP_stringify($this, $IceMX__t_ConnectionMetrics);
    }

    /**
     * The number of bytes received by the connection.
     * 
     *
     * @var long
     */
    public $receivedBytes;
    /**
     * The number of bytes sent by the connection.
     * 
     *
     * @var long
     */
    public $sentBytes;
}

global $IceMX__t_Metrics;
global $IcePHP__t_long;
$IceMX__t_ConnectionMetrics = IcePHP_defineClass('::IceMX::ConnectionMetrics', 'IceMX_ConnectionMetrics', -1, false, false, $IceMX__t_Metrics, array(
    array('receivedBytes', $IcePHP__t_long, false, 0),
    array('sentBytes', $IcePHP__t_long, false, 0)));
?>
