<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `RemoteLogger.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/BuiltinSequences.php';

global $Ice__t_LogMessageType;
/**
  * @iceType ::Ice::LogMessageType
  * @iceKind enum
 */
class Ice_LogMessageType
{
    const PrintMessage = 0;
    const TraceMessage = 1;
    const WarningMessage = 2;
    const ErrorMessage = 3;
}

$Ice__t_LogMessageType = IcePHP_defineEnum('::Ice::LogMessageType', array('PrintMessage', 0, 'TraceMessage', 1, 'WarningMessage', 2, 'ErrorMessage', 3));

global $Ice__t_LogMessageTypeSeq;

if(!isset($Ice__t_LogMessageTypeSeq))
{
    global $Ice__t_LogMessageType;
    $Ice__t_LogMessageTypeSeq = IcePHP_defineSequence('::Ice::LogMessageTypeSeq', $Ice__t_LogMessageType);
}

global $Ice__t_LogMessage;
/**
 * A complete log message.
 * 
 *
 * @iceType ::Ice::LogMessage
 * @iceKind struct
 */
class Ice_LogMessage
{
    public function __construct($type=Ice_LogMessageType::PrintMessage, $timestamp=0, $traceCategory='', $message='')
    {
        $this->type = $type;
        $this->timestamp = $timestamp;
        $this->traceCategory = $traceCategory;
        $this->message = $message;
    }

    public function __toString()
    {
        global $Ice__t_LogMessage;
        return IcePHP_stringify($this, $Ice__t_LogMessage);
    }

    /**
     * The type of message sent to the {@link Logger}.
     * 
     *
     * @var Ice_LogMessageType
     */
    public $type;
    /**
     * The date and time when the {@link Logger} received this message, expressed
     * as the number of microseconds since the Unix Epoch (00:00:00 UTC on 1 January 1970)
     * 
     *
     * @var long
     */
    public $timestamp;
    /**
     * For a message of type trace, the trace category of this log message;
     * otherwise, the empty string.
     * 
     *
     * @var string
     */
    public $traceCategory;
    /**
     * The log message itself.
     * 
     *
     * @var string
     */
    public $message;
}

global $Ice__t_LogMessageType;
global $IcePHP__t_long;
global $IcePHP__t_string;
$Ice__t_LogMessage = IcePHP_defineStruct('::Ice::LogMessage', 'Ice_LogMessage', array(
    array('type', $Ice__t_LogMessageType),
    array('timestamp', $IcePHP__t_long),
    array('traceCategory', $IcePHP__t_string),
    array('message', $IcePHP__t_string)));

global $Ice__t_LogMessageSeq;

if(!isset($Ice__t_LogMessageSeq))
{
    global $Ice__t_LogMessage;
    $Ice__t_LogMessageSeq = IcePHP_defineSequence('::Ice::LogMessageSeq', $Ice__t_LogMessage);
}

global $Ice__t_RemoteLogger;
global $Ice__t_RemoteLoggerPrx;

class Ice_RemoteLoggerPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::Ice::RemoteLogger', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::Ice::RemoteLogger', $facet);
    }

    public static function ice_staticId()
    {
        return '::Ice::RemoteLogger';
    }
}
$Ice__t_RemoteLogger = IcePHP_defineClass('::Ice::RemoteLogger', 'Ice_RemoteLogger', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$Ice__t_RemoteLoggerPrx = IcePHP_defineProxy('::Ice::RemoteLogger', $Ice__t_ObjectPrx, null);

global $IcePHP__t_string;
global $Ice__t_LogMessageSeq;
global $Ice__t_LogMessage;
IcePHP_defineOperation($Ice__t_RemoteLoggerPrx, 'init', 0, 0, 0, array(array($IcePHP__t_string), array($Ice__t_LogMessageSeq)), null, null, null);
IcePHP_defineOperation($Ice__t_RemoteLoggerPrx, 'log', 0, 0, 0, array(array($Ice__t_LogMessage)), null, null, null);

global $Ice__t_RemoteLoggerAlreadyAttachedException;
/**
 * Thrown when the provided RemoteLogger was previously attached to a LoggerAdmin.
 * 
 *
 * @iceType ::Ice::RemoteLoggerAlreadyAttachedException
 * @iceKind exception
 */
class Ice_RemoteLoggerAlreadyAttachedException extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::Ice::RemoteLoggerAlreadyAttachedException';
    }

    public function __toString()
    {
        global $Ice__t_RemoteLoggerAlreadyAttachedException;
        return IcePHP_stringifyException($this, $Ice__t_RemoteLoggerAlreadyAttachedException);
    }
}

$Ice__t_RemoteLoggerAlreadyAttachedException = IcePHP_defineException('::Ice::RemoteLoggerAlreadyAttachedException', 'Ice_RemoteLoggerAlreadyAttachedException', false, null, null);

global $Ice__t_LoggerAdmin;
global $Ice__t_LoggerAdminPrx;

class Ice_LoggerAdminPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::Ice::LoggerAdmin', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::Ice::LoggerAdmin', $facet);
    }

    public static function ice_staticId()
    {
        return '::Ice::LoggerAdmin';
    }
}
$Ice__t_LoggerAdmin = IcePHP_defineClass('::Ice::LoggerAdmin', 'Ice_LoggerAdmin', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$Ice__t_LoggerAdminPrx = IcePHP_defineProxy('::Ice::LoggerAdmin', $Ice__t_ObjectPrx, null);

global $Ice__t_RemoteLoggerPrx;
global $Ice__t_LogMessageTypeSeq;
global $Ice__t_StringSeq;
global $IcePHP__t_int;
global $IcePHP__t_bool;
global $IcePHP__t_string;
global $Ice__t_LogMessageSeq;
IcePHP_defineOperation($Ice__t_LoggerAdminPrx, 'attachRemoteLogger', 0, 0, 0, array(array($Ice__t_RemoteLoggerPrx), array($Ice__t_LogMessageTypeSeq), array($Ice__t_StringSeq), array($IcePHP__t_int)), null, null, array($Ice__t_RemoteLoggerAlreadyAttachedException));
IcePHP_defineOperation($Ice__t_LoggerAdminPrx, 'detachRemoteLogger', 0, 0, 0, array(array($Ice__t_RemoteLoggerPrx)), null, array($IcePHP__t_bool), null);
IcePHP_defineOperation($Ice__t_LoggerAdminPrx, 'getLog', 0, 0, 0, array(array($Ice__t_LogMessageTypeSeq), array($Ice__t_StringSeq), array($IcePHP__t_int)), array(array($IcePHP__t_string)), array($Ice__t_LogMessageSeq), null);
?>
