<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `IceBox.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/BuiltinSequences.php';
require_once 'Ice/CommunicatorF.php';
require_once 'Ice/PropertiesF.php';
require_once 'Ice/SliceChecksumDict.php';

global $IceBox__t_FailureException;
/**
 * This exception is a general failure notification. It is thrown
 * for errors such as a service encountering an error during
 * initialization, or the service manager being unable
 * to load a service executable.
 * 
 *
 * @iceType ::IceBox::FailureException
 * @iceKind exception
 */
class IceBox_FailureException extends Ice_LocalException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::IceBox::FailureException';
    }

    public function __toString()
    {
        global $IceBox__t_FailureException;
        return IcePHP_stringifyException($this, $IceBox__t_FailureException);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$IceBox__t_FailureException = IcePHP_defineException('::IceBox::FailureException', 'IceBox_FailureException', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $IceBox__t_AlreadyStartedException;
/**
 * This exception is thrown if an attempt is made to start an
 * already-started service.
 * 
 *
 * @iceType ::IceBox::AlreadyStartedException
 * @iceKind exception
 */
class IceBox_AlreadyStartedException extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::IceBox::AlreadyStartedException';
    }

    public function __toString()
    {
        global $IceBox__t_AlreadyStartedException;
        return IcePHP_stringifyException($this, $IceBox__t_AlreadyStartedException);
    }
}

$IceBox__t_AlreadyStartedException = IcePHP_defineException('::IceBox::AlreadyStartedException', 'IceBox_AlreadyStartedException', false, null, null);

global $IceBox__t_AlreadyStoppedException;
/**
 * This exception is thrown if an attempt is made to stop an
 * already-stopped service.
 * 
 *
 * @iceType ::IceBox::AlreadyStoppedException
 * @iceKind exception
 */
class IceBox_AlreadyStoppedException extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::IceBox::AlreadyStoppedException';
    }

    public function __toString()
    {
        global $IceBox__t_AlreadyStoppedException;
        return IcePHP_stringifyException($this, $IceBox__t_AlreadyStoppedException);
    }
}

$IceBox__t_AlreadyStoppedException = IcePHP_defineException('::IceBox::AlreadyStoppedException', 'IceBox_AlreadyStoppedException', false, null, null);

global $IceBox__t_NoSuchServiceException;
/**
 * This exception is thrown if a service name does not refer
 * to an existing service.
 * 
 *
 * @iceType ::IceBox::NoSuchServiceException
 * @iceKind exception
 */
class IceBox_NoSuchServiceException extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::IceBox::NoSuchServiceException';
    }

    public function __toString()
    {
        global $IceBox__t_NoSuchServiceException;
        return IcePHP_stringifyException($this, $IceBox__t_NoSuchServiceException);
    }
}

$IceBox__t_NoSuchServiceException = IcePHP_defineException('::IceBox::NoSuchServiceException', 'IceBox_NoSuchServiceException', false, null, null);

global $IceBox__t_Service;

/**
 * An application service managed by a {@link ServiceManager}.
 * 
 *
 * @iceType ::IceBox::Service
 * @iceKind interface
 */
interface IceBox_Service
{
    /**
     * Start the service. The given communicator is created by the
     * {@link ServiceManager} for use by the service. This communicator may
     * also be used by other services, depending on the service
     * configuration.
     * 
     * <p class="Note">The {@link ServiceManager} owns this communicator, and is
     * responsible for destroying it.
     * 
     * @param name The service's name, as determined by the
     * configuration.
     * 
     * @param communicator A communicator for use by the service.
     * 
     * @param args The service arguments that were not converted into
     * properties.
     * 
     * @throws FailureException Raised if {@link #start} failed.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType name string
     * @paramType communicator Ice_Communicator
     * @paramType args string[]
     */
    public function start($name, $communicator, $args);
    /**
     * Stop the service.
     * 
     *
     * @returnType void
     * @returnIceType void
     */
    public function stop();
}
$IceBox__t_Service = IcePHP_defineClass('::IceBox::Service', 'IceBox_Service', -1, false, true, null, null);

global $IceBox__t_ServiceObserver;
global $IceBox__t_ServiceObserverPrx;

class IceBox_ServiceObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceBox::ServiceObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceBox::ServiceObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceBox::ServiceObserver';
    }
}
$IceBox__t_ServiceObserver = IcePHP_defineClass('::IceBox::ServiceObserver', 'IceBox_ServiceObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceBox__t_ServiceObserverPrx = IcePHP_defineProxy('::IceBox::ServiceObserver', $Ice__t_ObjectPrx, null);

global $Ice__t_StringSeq;
IcePHP_defineOperation($IceBox__t_ServiceObserverPrx, 'servicesStarted', 0, 0, 0, array(array($Ice__t_StringSeq)), null, null, null);
IcePHP_defineOperation($IceBox__t_ServiceObserverPrx, 'servicesStopped', 0, 0, 0, array(array($Ice__t_StringSeq)), null, null, null);

global $IceBox__t_ServiceManager;
global $IceBox__t_ServiceManagerPrx;

class IceBox_ServiceManagerPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceBox::ServiceManager', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceBox::ServiceManager', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceBox::ServiceManager';
    }
}
$IceBox__t_ServiceManager = IcePHP_defineClass('::IceBox::ServiceManager', 'IceBox_ServiceManager', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceBox__t_ServiceManagerPrx = IcePHP_defineProxy('::IceBox::ServiceManager', $Ice__t_ObjectPrx, null);

global $Ice__t_SliceChecksumDict;
global $IcePHP__t_string;
global $IceBox__t_ServiceObserverPrx;
IcePHP_defineOperation($IceBox__t_ServiceManagerPrx, 'getSliceChecksums', 2, 1, 0, null, null, array($Ice__t_SliceChecksumDict), null);
IcePHP_defineOperation($IceBox__t_ServiceManagerPrx, 'startService', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceBox__t_AlreadyStartedException, $IceBox__t_NoSuchServiceException));
IcePHP_defineOperation($IceBox__t_ServiceManagerPrx, 'stopService', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceBox__t_AlreadyStoppedException, $IceBox__t_NoSuchServiceException));
IcePHP_defineOperation($IceBox__t_ServiceManagerPrx, 'addObserver', 0, 0, 0, array(array($IceBox__t_ServiceObserverPrx)), null, null, null);
IcePHP_defineOperation($IceBox__t_ServiceManagerPrx, 'shutdown', 0, 0, 0, null, null, null, null);
?>
