<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `Admin.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/Identity.php';
require_once 'Ice/BuiltinSequences.php';
require_once 'Ice/Properties.php';
require_once 'Ice/SliceChecksumDict.php';
require_once 'Glacier2/Session.php';
require_once 'IceGrid/Exception.php';
require_once 'IceGrid/Descriptor.php';

global $IceGrid__t_ServerState;
/**
  * @iceType ::IceGrid::ServerState
  * @iceKind enum
 */
class IceGrid_ServerState
{
    const Inactive = 0;
    const Activating = 1;
    const ActivationTimedOut = 2;
    const Active = 3;
    const Deactivating = 4;
    const Destroying = 5;
    const Destroyed = 6;
}

$IceGrid__t_ServerState = IcePHP_defineEnum('::IceGrid::ServerState', array('Inactive', 0, 'Activating', 1, 'ActivationTimedOut', 2, 'Active', 3, 'Deactivating', 4, 'Destroying', 5, 'Destroyed', 6));

global $IceGrid__t_StringObjectProxyDict;

if(!isset($IceGrid__t_StringObjectProxyDict))
{
    global $IcePHP__t_string;
    global $Ice__t_ObjectPrx;
    $IceGrid__t_StringObjectProxyDict = IcePHP_defineDictionary('::IceGrid::StringObjectProxyDict', $IcePHP__t_string, $Ice__t_ObjectPrx);
}

global $IceGrid__t_ObjectInfo;
/**
 * Information about an Ice object.
 * 
 *
 * @iceType ::IceGrid::ObjectInfo
 * @iceKind struct
 */
class IceGrid_ObjectInfo
{
    public function __construct($proxy=null, $type='')
    {
        $this->proxy = $proxy;
        $this->type = $type;
    }

    public function __toString()
    {
        global $IceGrid__t_ObjectInfo;
        return IcePHP_stringify($this, $IceGrid__t_ObjectInfo);
    }

    /**
     * The proxy of the object.
     * 
     *
     * @var ::Ice::Object*
     */
    public $proxy;
    /**
     * The type of the object.
     * 
     *
     * @var string
     */
    public $type;
}

global $Ice__t_ObjectPrx;
global $IcePHP__t_string;
$IceGrid__t_ObjectInfo = IcePHP_defineStruct('::IceGrid::ObjectInfo', 'IceGrid_ObjectInfo', array(
    array('proxy', $Ice__t_ObjectPrx),
    array('type', $IcePHP__t_string)));

global $IceGrid__t_ObjectInfoSeq;

if(!isset($IceGrid__t_ObjectInfoSeq))
{
    global $IceGrid__t_ObjectInfo;
    $IceGrid__t_ObjectInfoSeq = IcePHP_defineSequence('::IceGrid::ObjectInfoSeq', $IceGrid__t_ObjectInfo);
}

global $IceGrid__t_AdapterInfo;
/**
 * Information about an adapter registered with the IceGrid registry.
 * 
 *
 * @iceType ::IceGrid::AdapterInfo
 * @iceKind struct
 */
class IceGrid_AdapterInfo
{
    public function __construct($id='', $proxy=null, $replicaGroupId='')
    {
        $this->id = $id;
        $this->proxy = $proxy;
        $this->replicaGroupId = $replicaGroupId;
    }

    public function __toString()
    {
        global $IceGrid__t_AdapterInfo;
        return IcePHP_stringify($this, $IceGrid__t_AdapterInfo);
    }

    /**
     * The id of the adapter.
     * 
     *
     * @var string
     */
    public $id;
    /**
     * A dummy direct proxy that contains the adapter endpoints.
     * 
     *
     * @var ::Ice::Object*
     */
    public $proxy;
    /**
     * The replica group id of the object adapter, or empty if the
     * adapter doesn't belong to a replica group.
     * 
     *
     * @var string
     */
    public $replicaGroupId;
}

global $IcePHP__t_string;
global $Ice__t_ObjectPrx;
$IceGrid__t_AdapterInfo = IcePHP_defineStruct('::IceGrid::AdapterInfo', 'IceGrid_AdapterInfo', array(
    array('id', $IcePHP__t_string),
    array('proxy', $Ice__t_ObjectPrx),
    array('replicaGroupId', $IcePHP__t_string)));

global $IceGrid__t_AdapterInfoSeq;

if(!isset($IceGrid__t_AdapterInfoSeq))
{
    global $IceGrid__t_AdapterInfo;
    $IceGrid__t_AdapterInfoSeq = IcePHP_defineSequence('::IceGrid::AdapterInfoSeq', $IceGrid__t_AdapterInfo);
}

global $IceGrid__t_ServerInfo;
/**
 * Information about a server managed by an IceGrid node.
 * 
 *
 * @iceType ::IceGrid::ServerInfo
 * @iceKind struct
 */
class IceGrid_ServerInfo
{
    public function __construct($application='', $uuid='', $revision=0, $node='', $descriptor=null, $sessionId='')
    {
        $this->application = $application;
        $this->uuid = $uuid;
        $this->revision = $revision;
        $this->node = $node;
        $this->descriptor = $descriptor;
        $this->sessionId = $sessionId;
    }

    public function __toString()
    {
        global $IceGrid__t_ServerInfo;
        return IcePHP_stringify($this, $IceGrid__t_ServerInfo);
    }

    /**
     * The server application.
     * 
     *
     * @var string
     */
    public $application;
    /**
     * The application uuid.
     * 
     *
     * @var string
     */
    public $uuid;
    /**
     * The application revision.
     * 
     *
     * @var int
     */
    public $revision;
    /**
     * The server node.
     * 
     *
     * @var string
     */
    public $node;
    /**
     * The server descriptor.
     * 
     *
     * @var IceGrid_ServerDescriptor
     */
    public $descriptor;
    /**
     * The id of the session which allocated the server.
     * 
     *
     * @var string
     */
    public $sessionId;
}

global $IcePHP__t_string;
global $IcePHP__t_int;
global $IceGrid__t_ServerDescriptor;
$IceGrid__t_ServerInfo = IcePHP_defineStruct('::IceGrid::ServerInfo', 'IceGrid_ServerInfo', array(
    array('application', $IcePHP__t_string),
    array('uuid', $IcePHP__t_string),
    array('revision', $IcePHP__t_int),
    array('node', $IcePHP__t_string),
    array('descriptor', $IceGrid__t_ServerDescriptor),
    array('sessionId', $IcePHP__t_string)));

global $IceGrid__t_NodeInfo;
/**
 * Information about an IceGrid node.
 * 
 *
 * @iceType ::IceGrid::NodeInfo
 * @iceKind struct
 */
class IceGrid_NodeInfo
{
    public function __construct($name='', $os='', $hostname='', $release='', $version='', $machine='', $nProcessors=0, $dataDir='')
    {
        $this->name = $name;
        $this->os = $os;
        $this->hostname = $hostname;
        $this->release = $release;
        $this->version = $version;
        $this->machine = $machine;
        $this->nProcessors = $nProcessors;
        $this->dataDir = $dataDir;
    }

    public function __toString()
    {
        global $IceGrid__t_NodeInfo;
        return IcePHP_stringify($this, $IceGrid__t_NodeInfo);
    }

    /**
     * The name of the node.
     * 
     *
     * @var string
     */
    public $name;
    /**
     * The operating system name.
     * 
     *
     * @var string
     */
    public $os;
    /**
     * The network name of the host running this node (as defined in
     * uname()).
     * 
     *
     * @var string
     */
    public $hostname;
    /**
     * The operation system release level (as defined in uname()).
     * 
     *
     * @var string
     */
    public $release;
    /**
     * The operation system version (as defined in uname()).
     * 
     *
     * @var string
     */
    public $version;
    /**
     * The machine hardware type (as defined in uname()).
     * 
     *
     * @var string
     */
    public $machine;
    /**
     * The number of processor threads on the node.
     * For example, nProcessors is 8 on a computer with a single quad-core
     * processor and two HT threads per core.
     * 
     *
     * @var int
     */
    public $nProcessors;
    /**
     * The path to the node data directory.
     * 
     *
     * @var string
     */
    public $dataDir;
}

global $IcePHP__t_string;
global $IcePHP__t_int;
$IceGrid__t_NodeInfo = IcePHP_defineStruct('::IceGrid::NodeInfo', 'IceGrid_NodeInfo', array(
    array('name', $IcePHP__t_string),
    array('os', $IcePHP__t_string),
    array('hostname', $IcePHP__t_string),
    array('release', $IcePHP__t_string),
    array('version', $IcePHP__t_string),
    array('machine', $IcePHP__t_string),
    array('nProcessors', $IcePHP__t_int),
    array('dataDir', $IcePHP__t_string)));

global $IceGrid__t_RegistryInfo;
/**
 * Information about an IceGrid registry replica.
 * 
 *
 * @iceType ::IceGrid::RegistryInfo
 * @iceKind struct
 */
class IceGrid_RegistryInfo
{
    public function __construct($name='', $hostname='')
    {
        $this->name = $name;
        $this->hostname = $hostname;
    }

    public function __toString()
    {
        global $IceGrid__t_RegistryInfo;
        return IcePHP_stringify($this, $IceGrid__t_RegistryInfo);
    }

    /**
     * The name of the registry.
     * 
     *
     * @var string
     */
    public $name;
    /**
     * The network name of the host running this registry (as defined in
     * uname()).
     * 
     *
     * @var string
     */
    public $hostname;
}

global $IcePHP__t_string;
$IceGrid__t_RegistryInfo = IcePHP_defineStruct('::IceGrid::RegistryInfo', 'IceGrid_RegistryInfo', array(
    array('name', $IcePHP__t_string),
    array('hostname', $IcePHP__t_string)));

global $IceGrid__t_RegistryInfoSeq;

if(!isset($IceGrid__t_RegistryInfoSeq))
{
    global $IceGrid__t_RegistryInfo;
    $IceGrid__t_RegistryInfoSeq = IcePHP_defineSequence('::IceGrid::RegistryInfoSeq', $IceGrid__t_RegistryInfo);
}

global $IceGrid__t_LoadInfo;
/**
 * Information about the load of a node.
 * 
 *
 * @iceType ::IceGrid::LoadInfo
 * @iceKind struct
 */
class IceGrid_LoadInfo
{
    public function __construct($avg1=0.0, $avg5=0.0, $avg15=0.0)
    {
        $this->avg1 = $avg1;
        $this->avg5 = $avg5;
        $this->avg15 = $avg15;
    }

    public function __toString()
    {
        global $IceGrid__t_LoadInfo;
        return IcePHP_stringify($this, $IceGrid__t_LoadInfo);
    }

    /**
     * The load average over the past minute.
     *
     * @var float
     */
    public $avg1;
    /**
     * The load average over the past 5 minutes.
     *
     * @var float
     */
    public $avg5;
    /**
     * The load average over the past 15 minutes.
     *
     * @var float
     */
    public $avg15;
}

global $IcePHP__t_float;
$IceGrid__t_LoadInfo = IcePHP_defineStruct('::IceGrid::LoadInfo', 'IceGrid_LoadInfo', array(
    array('avg1', $IcePHP__t_float),
    array('avg5', $IcePHP__t_float),
    array('avg15', $IcePHP__t_float)));

global $IceGrid__t_ApplicationInfo;
/**
 * Information about an IceGrid application.
 * 
 *
 * @iceType ::IceGrid::ApplicationInfo
 * @iceKind struct
 */
class IceGrid_ApplicationInfo
{
    public function __construct($uuid='', $createTime=0, $createUser='', $updateTime=0, $updateUser='', $revision=0, $descriptor=null)
    {
        $this->uuid = $uuid;
        $this->createTime = $createTime;
        $this->createUser = $createUser;
        $this->updateTime = $updateTime;
        $this->updateUser = $updateUser;
        $this->revision = $revision;
        $this->descriptor = is_null($descriptor) ? new IceGrid_ApplicationDescriptor : $descriptor;
    }

    public function __toString()
    {
        global $IceGrid__t_ApplicationInfo;
        return IcePHP_stringify($this, $IceGrid__t_ApplicationInfo);
    }

    /**
     * Unique application identifier.
     *
     * @var string
     */
    public $uuid;
    /**
     * The creation time.
     *
     * @var long
     */
    public $createTime;
    /**
     * The user who created the application.
     *
     * @var string
     */
    public $createUser;
    /**
     * The update time.
     *
     * @var long
     */
    public $updateTime;
    /**
     * The user who updated the application.
     *
     * @var string
     */
    public $updateUser;
    /**
     * The application revision number.
     *
     * @var int
     */
    public $revision;
    /**
     * The application descriptor
     *
     * @var IceGrid_ApplicationDescriptor
     */
    public $descriptor;
}

global $IcePHP__t_string;
global $IcePHP__t_long;
global $IcePHP__t_int;
global $IceGrid__t_ApplicationDescriptor;
$IceGrid__t_ApplicationInfo = IcePHP_defineStruct('::IceGrid::ApplicationInfo', 'IceGrid_ApplicationInfo', array(
    array('uuid', $IcePHP__t_string),
    array('createTime', $IcePHP__t_long),
    array('createUser', $IcePHP__t_string),
    array('updateTime', $IcePHP__t_long),
    array('updateUser', $IcePHP__t_string),
    array('revision', $IcePHP__t_int),
    array('descriptor', $IceGrid__t_ApplicationDescriptor)));

global $IceGrid__t_ApplicationInfoSeq;

if(!isset($IceGrid__t_ApplicationInfoSeq))
{
    global $IceGrid__t_ApplicationInfo;
    $IceGrid__t_ApplicationInfoSeq = IcePHP_defineSequence('::IceGrid::ApplicationInfoSeq', $IceGrid__t_ApplicationInfo);
}

global $IceGrid__t_ApplicationUpdateInfo;
/**
 * Information about updates to an IceGrid application.
 * 
 *
 * @iceType ::IceGrid::ApplicationUpdateInfo
 * @iceKind struct
 */
class IceGrid_ApplicationUpdateInfo
{
    public function __construct($updateTime=0, $updateUser='', $revision=0, $descriptor=null)
    {
        $this->updateTime = $updateTime;
        $this->updateUser = $updateUser;
        $this->revision = $revision;
        $this->descriptor = is_null($descriptor) ? new IceGrid_ApplicationUpdateDescriptor : $descriptor;
    }

    public function __toString()
    {
        global $IceGrid__t_ApplicationUpdateInfo;
        return IcePHP_stringify($this, $IceGrid__t_ApplicationUpdateInfo);
    }

    /**
     * The update time.
     *
     * @var long
     */
    public $updateTime;
    /**
     * The user who updated the application.
     *
     * @var string
     */
    public $updateUser;
    /**
     * The application revision number.
     *
     * @var int
     */
    public $revision;
    /**
     * The update descriptor.
     *
     * @var IceGrid_ApplicationUpdateDescriptor
     */
    public $descriptor;
}

global $IcePHP__t_long;
global $IcePHP__t_string;
global $IcePHP__t_int;
global $IceGrid__t_ApplicationUpdateDescriptor;
$IceGrid__t_ApplicationUpdateInfo = IcePHP_defineStruct('::IceGrid::ApplicationUpdateInfo', 'IceGrid_ApplicationUpdateInfo', array(
    array('updateTime', $IcePHP__t_long),
    array('updateUser', $IcePHP__t_string),
    array('revision', $IcePHP__t_int),
    array('descriptor', $IceGrid__t_ApplicationUpdateDescriptor)));

global $IceGrid__t_Admin;
global $IceGrid__t_AdminPrx;

class IceGrid_AdminPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::Admin', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::Admin', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::Admin';
    }
}
$IceGrid__t_Admin = IcePHP_defineClass('::IceGrid::Admin', 'IceGrid_Admin', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_AdminPrx = IcePHP_defineProxy('::IceGrid::Admin', $Ice__t_ObjectPrx, null);

global $IceGrid__t_ApplicationDescriptor;
global $IceGrid__t_ApplicationUpdateDescriptor;
global $IcePHP__t_string;
global $IceGrid__t_ServerInstanceDescriptor;
global $IcePHP__t_bool;
global $IceGrid__t_ApplicationInfo;
global $Ice__t_StringSeq;
global $IceGrid__t_ServerInfo;
global $IceGrid__t_ServerState;
global $IcePHP__t_int;
global $Ice__t_ObjectPrx;
global $IceGrid__t_AdapterInfoSeq;
global $Ice__t_Identity;
global $IceGrid__t_ObjectInfo;
global $IceGrid__t_ObjectInfoSeq;
global $IceGrid__t_LoadInfo;
global $IceGrid__t_NodeInfo;
global $IceGrid__t_RegistryInfo;
global $Ice__t_SliceChecksumDict;
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'addApplication', 0, 0, 0, array(array($IceGrid__t_ApplicationDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'syncApplication', 0, 0, 0, array(array($IceGrid__t_ApplicationDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException, $IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'updateApplication', 0, 0, 0, array(array($IceGrid__t_ApplicationUpdateDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException, $IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'syncApplicationWithoutRestart', 0, 0, 0, array(array($IceGrid__t_ApplicationDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException, $IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'updateApplicationWithoutRestart', 0, 0, 0, array(array($IceGrid__t_ApplicationUpdateDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException, $IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'removeApplication', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_DeploymentException, $IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'instantiateServer', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_string), array($IceGrid__t_ServerInstanceDescriptor)), null, null, array($IceGrid__t_AccessDeniedException, $IceGrid__t_ApplicationNotExistException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'patchApplication', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_bool)), null, null, array($IceGrid__t_ApplicationNotExistException, $IceGrid__t_PatchException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getApplicationInfo', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_ApplicationInfo), array($IceGrid__t_ApplicationNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getDefaultApplicationDescriptor', 2, 1, 0, null, null, array($IceGrid__t_ApplicationDescriptor), array($IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllApplicationNames', 2, 1, 0, null, null, array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getServerInfo', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_ServerInfo), array($IceGrid__t_ServerNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getServerState', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_ServerState), array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getServerPid', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_int), array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getServerAdminCategory', 2, 2, 0, null, null, array($IcePHP__t_string), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getServerAdmin', 2, 2, 0, array(array($IcePHP__t_string)), null, array($Ice__t_ObjectPrx), array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'enableServer', 2, 2, 0, array(array($IcePHP__t_string), array($IcePHP__t_bool)), null, null, array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'isServerEnabled', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_bool), array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'startServer', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_ServerNotExistException, $IceGrid__t_ServerStartException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'stopServer', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_ServerNotExistException, $IceGrid__t_ServerStopException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'patchServer', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_bool)), null, null, array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException, $IceGrid__t_PatchException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'sendSignal', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_string)), null, null, array($IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException, $IceGrid__t_BadSignalException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllServerIds', 2, 1, 0, null, null, array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAdapterInfo', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_AdapterInfoSeq), array($IceGrid__t_AdapterNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'removeAdapter', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_AdapterNotExistException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllAdapterIds', 2, 1, 0, null, null, array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'addObject', 0, 0, 0, array(array($Ice__t_ObjectPrx)), null, null, array($IceGrid__t_ObjectExistsException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'updateObject', 0, 0, 0, array(array($Ice__t_ObjectPrx)), null, null, array($IceGrid__t_ObjectNotRegisteredException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'addObjectWithType', 0, 0, 0, array(array($Ice__t_ObjectPrx), array($IcePHP__t_string)), null, null, array($IceGrid__t_ObjectExistsException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'removeObject', 0, 0, 0, array(array($Ice__t_Identity)), null, null, array($IceGrid__t_ObjectNotRegisteredException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getObjectInfo', 2, 1, 0, array(array($Ice__t_Identity)), null, array($IceGrid__t_ObjectInfo), array($IceGrid__t_ObjectNotRegisteredException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getObjectInfosByType', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_ObjectInfoSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllObjectInfos', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_ObjectInfoSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'pingNode', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_bool), array($IceGrid__t_NodeNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getNodeLoad', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_LoadInfo), array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getNodeInfo', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_NodeInfo), array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getNodeAdmin', 2, 2, 0, array(array($IcePHP__t_string)), null, array($Ice__t_ObjectPrx), array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getNodeProcessorSocketCount', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_int), array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'shutdownNode', 0, 0, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getNodeHostname', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_string), array($IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllNodeNames', 2, 1, 0, null, null, array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'pingRegistry', 2, 2, 0, array(array($IcePHP__t_string)), null, array($IcePHP__t_bool), array($IceGrid__t_RegistryNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getRegistryInfo', 2, 2, 0, array(array($IcePHP__t_string)), null, array($IceGrid__t_RegistryInfo), array($IceGrid__t_RegistryNotExistException, $IceGrid__t_RegistryUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getRegistryAdmin', 2, 2, 0, array(array($IcePHP__t_string)), null, array($Ice__t_ObjectPrx), array($IceGrid__t_RegistryNotExistException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'shutdownRegistry', 2, 2, 0, array(array($IcePHP__t_string)), null, null, array($IceGrid__t_RegistryNotExistException, $IceGrid__t_RegistryUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getAllRegistryNames', 2, 2, 0, null, null, array($Ice__t_StringSeq), null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'shutdown', 0, 0, 0, null, null, null, null);
IcePHP_defineOperation($IceGrid__t_AdminPrx, 'getSliceChecksums', 2, 1, 0, null, null, array($Ice__t_SliceChecksumDict), null);

global $IceGrid__t_FileIterator;
global $IceGrid__t_FileIteratorPrx;

class IceGrid_FileIteratorPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::FileIterator', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::FileIterator', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::FileIterator';
    }
}
$IceGrid__t_FileIterator = IcePHP_defineClass('::IceGrid::FileIterator', 'IceGrid_FileIterator', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_FileIteratorPrx = IcePHP_defineProxy('::IceGrid::FileIterator', $Ice__t_ObjectPrx, null);

global $IcePHP__t_int;
global $Ice__t_StringSeq;
global $IcePHP__t_bool;
IcePHP_defineOperation($IceGrid__t_FileIteratorPrx, 'read', 0, 0, 0, array(array($IcePHP__t_int)), array(array($Ice__t_StringSeq)), array($IcePHP__t_bool), array($IceGrid__t_FileNotAvailableException));
IcePHP_defineOperation($IceGrid__t_FileIteratorPrx, 'destroy', 0, 0, 0, null, null, null, null);

global $IceGrid__t_ServerDynamicInfo;
/**
 * Dynamic information about the state of a server.
 * 
 *
 * @iceType ::IceGrid::ServerDynamicInfo
 * @iceKind struct
 */
class IceGrid_ServerDynamicInfo
{
    public function __construct($id='', $state=IceGrid_ServerState::Inactive, $pid=0, $enabled=false)
    {
        $this->id = $id;
        $this->state = $state;
        $this->pid = $pid;
        $this->enabled = $enabled;
    }

    public function __toString()
    {
        global $IceGrid__t_ServerDynamicInfo;
        return IcePHP_stringify($this, $IceGrid__t_ServerDynamicInfo);
    }

    /**
     * The id of the server.
     * 
     *
     * @var string
     */
    public $id;
    /**
     * The state of the server.
     * 
     *
     * @var IceGrid_ServerState
     */
    public $state;
    /**
     * The process id of the server.
     * 
     *
     * @var int
     */
    public $pid;
    /**
     * Indicates whether the server is enabled.
     * 
     *
     * @var bool
     */
    public $enabled;
}

global $IcePHP__t_string;
global $IceGrid__t_ServerState;
global $IcePHP__t_int;
global $IcePHP__t_bool;
$IceGrid__t_ServerDynamicInfo = IcePHP_defineStruct('::IceGrid::ServerDynamicInfo', 'IceGrid_ServerDynamicInfo', array(
    array('id', $IcePHP__t_string),
    array('state', $IceGrid__t_ServerState),
    array('pid', $IcePHP__t_int),
    array('enabled', $IcePHP__t_bool)));

global $IceGrid__t_ServerDynamicInfoSeq;

if(!isset($IceGrid__t_ServerDynamicInfoSeq))
{
    global $IceGrid__t_ServerDynamicInfo;
    $IceGrid__t_ServerDynamicInfoSeq = IcePHP_defineSequence('::IceGrid::ServerDynamicInfoSeq', $IceGrid__t_ServerDynamicInfo);
}

global $IceGrid__t_AdapterDynamicInfo;
/**
 * Dynamic information about the state of an adapter.
 * 
 *
 * @iceType ::IceGrid::AdapterDynamicInfo
 * @iceKind struct
 */
class IceGrid_AdapterDynamicInfo
{
    public function __construct($id='', $proxy=null)
    {
        $this->id = $id;
        $this->proxy = $proxy;
    }

    public function __toString()
    {
        global $IceGrid__t_AdapterDynamicInfo;
        return IcePHP_stringify($this, $IceGrid__t_AdapterDynamicInfo);
    }

    /**
     * The id of the adapter.
     * 
     *
     * @var string
     */
    public $id;
    /**
     * The direct proxy containing the adapter endpoints.
     * 
     *
     * @var ::Ice::Object*
     */
    public $proxy;
}

global $IcePHP__t_string;
global $Ice__t_ObjectPrx;
$IceGrid__t_AdapterDynamicInfo = IcePHP_defineStruct('::IceGrid::AdapterDynamicInfo', 'IceGrid_AdapterDynamicInfo', array(
    array('id', $IcePHP__t_string),
    array('proxy', $Ice__t_ObjectPrx)));

global $IceGrid__t_AdapterDynamicInfoSeq;

if(!isset($IceGrid__t_AdapterDynamicInfoSeq))
{
    global $IceGrid__t_AdapterDynamicInfo;
    $IceGrid__t_AdapterDynamicInfoSeq = IcePHP_defineSequence('::IceGrid::AdapterDynamicInfoSeq', $IceGrid__t_AdapterDynamicInfo);
}

global $IceGrid__t_NodeDynamicInfo;
/**
 * Dynamic information about the state of a node.
 * 
 *
 * @iceType ::IceGrid::NodeDynamicInfo
 * @iceKind struct
 */
class IceGrid_NodeDynamicInfo
{
    public function __construct($info=null, $servers=null, $adapters=null)
    {
        $this->info = is_null($info) ? new IceGrid_NodeInfo : $info;
        $this->servers = $servers;
        $this->adapters = $adapters;
    }

    public function __toString()
    {
        global $IceGrid__t_NodeDynamicInfo;
        return IcePHP_stringify($this, $IceGrid__t_NodeDynamicInfo);
    }

    /**
     * Some static information about the node.
     * 
     *
     * @var IceGrid_NodeInfo
     */
    public $info;
    /**
     * The dynamic information of the servers deployed on this node.
     * 
     *
     * @var IceGrid_ServerDynamicInfo[]
     */
    public $servers;
    /**
     * The dynamic information of the adapters deployed on this node.
     * 
     *
     * @var IceGrid_AdapterDynamicInfo[]
     */
    public $adapters;
}

global $IceGrid__t_NodeInfo;
global $IceGrid__t_ServerDynamicInfoSeq;
global $IceGrid__t_AdapterDynamicInfoSeq;
$IceGrid__t_NodeDynamicInfo = IcePHP_defineStruct('::IceGrid::NodeDynamicInfo', 'IceGrid_NodeDynamicInfo', array(
    array('info', $IceGrid__t_NodeInfo),
    array('servers', $IceGrid__t_ServerDynamicInfoSeq),
    array('adapters', $IceGrid__t_AdapterDynamicInfoSeq)));

global $IceGrid__t_RegistryObserver;
global $IceGrid__t_RegistryObserverPrx;

class IceGrid_RegistryObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::RegistryObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::RegistryObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::RegistryObserver';
    }
}
$IceGrid__t_RegistryObserver = IcePHP_defineClass('::IceGrid::RegistryObserver', 'IceGrid_RegistryObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_RegistryObserverPrx = IcePHP_defineProxy('::IceGrid::RegistryObserver', $Ice__t_ObjectPrx, null);

global $IceGrid__t_RegistryInfoSeq;
global $IceGrid__t_RegistryInfo;
global $IcePHP__t_string;
IcePHP_defineOperation($IceGrid__t_RegistryObserverPrx, 'registryInit', 0, 0, 0, array(array($IceGrid__t_RegistryInfoSeq)), null, null, null);
IcePHP_defineOperation($IceGrid__t_RegistryObserverPrx, 'registryUp', 0, 0, 0, array(array($IceGrid__t_RegistryInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_RegistryObserverPrx, 'registryDown', 0, 0, 0, array(array($IcePHP__t_string)), null, null, null);

global $IceGrid__t_NodeDynamicInfoSeq;

if(!isset($IceGrid__t_NodeDynamicInfoSeq))
{
    global $IceGrid__t_NodeDynamicInfo;
    $IceGrid__t_NodeDynamicInfoSeq = IcePHP_defineSequence('::IceGrid::NodeDynamicInfoSeq', $IceGrid__t_NodeDynamicInfo);
}

global $IceGrid__t_NodeObserver;
global $IceGrid__t_NodeObserverPrx;

class IceGrid_NodeObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::NodeObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::NodeObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::NodeObserver';
    }
}
$IceGrid__t_NodeObserver = IcePHP_defineClass('::IceGrid::NodeObserver', 'IceGrid_NodeObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_NodeObserverPrx = IcePHP_defineProxy('::IceGrid::NodeObserver', $Ice__t_ObjectPrx, null);

global $IceGrid__t_NodeDynamicInfoSeq;
global $IceGrid__t_NodeDynamicInfo;
global $IcePHP__t_string;
global $IceGrid__t_ServerDynamicInfo;
global $IceGrid__t_AdapterDynamicInfo;
IcePHP_defineOperation($IceGrid__t_NodeObserverPrx, 'nodeInit', 0, 0, 0, array(array($IceGrid__t_NodeDynamicInfoSeq)), null, null, null);
IcePHP_defineOperation($IceGrid__t_NodeObserverPrx, 'nodeUp', 0, 0, 0, array(array($IceGrid__t_NodeDynamicInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_NodeObserverPrx, 'nodeDown', 0, 0, 0, array(array($IcePHP__t_string)), null, null, null);
IcePHP_defineOperation($IceGrid__t_NodeObserverPrx, 'updateServer', 0, 0, 0, array(array($IcePHP__t_string), array($IceGrid__t_ServerDynamicInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_NodeObserverPrx, 'updateAdapter', 0, 0, 0, array(array($IcePHP__t_string), array($IceGrid__t_AdapterDynamicInfo)), null, null, null);

global $IceGrid__t_ApplicationObserver;
global $IceGrid__t_ApplicationObserverPrx;

class IceGrid_ApplicationObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::ApplicationObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::ApplicationObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::ApplicationObserver';
    }
}
$IceGrid__t_ApplicationObserver = IcePHP_defineClass('::IceGrid::ApplicationObserver', 'IceGrid_ApplicationObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_ApplicationObserverPrx = IcePHP_defineProxy('::IceGrid::ApplicationObserver', $Ice__t_ObjectPrx, null);

global $IcePHP__t_int;
global $IceGrid__t_ApplicationInfoSeq;
global $IceGrid__t_ApplicationInfo;
global $IcePHP__t_string;
global $IceGrid__t_ApplicationUpdateInfo;
IcePHP_defineOperation($IceGrid__t_ApplicationObserverPrx, 'applicationInit', 0, 0, 0, array(array($IcePHP__t_int), array($IceGrid__t_ApplicationInfoSeq)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ApplicationObserverPrx, 'applicationAdded', 0, 0, 0, array(array($IcePHP__t_int), array($IceGrid__t_ApplicationInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ApplicationObserverPrx, 'applicationRemoved', 0, 0, 0, array(array($IcePHP__t_int), array($IcePHP__t_string)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ApplicationObserverPrx, 'applicationUpdated', 0, 0, 0, array(array($IcePHP__t_int), array($IceGrid__t_ApplicationUpdateInfo)), null, null, null);

global $IceGrid__t_AdapterObserver;
global $IceGrid__t_AdapterObserverPrx;

class IceGrid_AdapterObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::AdapterObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::AdapterObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::AdapterObserver';
    }
}
$IceGrid__t_AdapterObserver = IcePHP_defineClass('::IceGrid::AdapterObserver', 'IceGrid_AdapterObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_AdapterObserverPrx = IcePHP_defineProxy('::IceGrid::AdapterObserver', $Ice__t_ObjectPrx, null);

global $IceGrid__t_AdapterInfoSeq;
global $IceGrid__t_AdapterInfo;
global $IcePHP__t_string;
IcePHP_defineOperation($IceGrid__t_AdapterObserverPrx, 'adapterInit', 0, 0, 0, array(array($IceGrid__t_AdapterInfoSeq)), null, null, null);
IcePHP_defineOperation($IceGrid__t_AdapterObserverPrx, 'adapterAdded', 0, 0, 0, array(array($IceGrid__t_AdapterInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_AdapterObserverPrx, 'adapterUpdated', 0, 0, 0, array(array($IceGrid__t_AdapterInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_AdapterObserverPrx, 'adapterRemoved', 0, 0, 0, array(array($IcePHP__t_string)), null, null, null);

global $IceGrid__t_ObjectObserver;
global $IceGrid__t_ObjectObserverPrx;

class IceGrid_ObjectObserverPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::ObjectObserver', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::ObjectObserver', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::ObjectObserver';
    }
}
$IceGrid__t_ObjectObserver = IcePHP_defineClass('::IceGrid::ObjectObserver', 'IceGrid_ObjectObserver', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_ObjectObserverPrx = IcePHP_defineProxy('::IceGrid::ObjectObserver', $Ice__t_ObjectPrx, null);

global $IceGrid__t_ObjectInfoSeq;
global $IceGrid__t_ObjectInfo;
global $Ice__t_Identity;
IcePHP_defineOperation($IceGrid__t_ObjectObserverPrx, 'objectInit', 0, 0, 0, array(array($IceGrid__t_ObjectInfoSeq)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ObjectObserverPrx, 'objectAdded', 0, 0, 0, array(array($IceGrid__t_ObjectInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ObjectObserverPrx, 'objectUpdated', 0, 0, 0, array(array($IceGrid__t_ObjectInfo)), null, null, null);
IcePHP_defineOperation($IceGrid__t_ObjectObserverPrx, 'objectRemoved', 0, 0, 0, array(array($Ice__t_Identity)), null, null, null);

global $IceGrid__t_AdminSession;
global $IceGrid__t_AdminSessionPrx;

class IceGrid_AdminSessionPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceGrid::AdminSession', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceGrid::AdminSession', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceGrid::AdminSession';
    }
}
$IceGrid__t_AdminSession = IcePHP_defineClass('::IceGrid::AdminSession', 'IceGrid_AdminSession', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceGrid__t_AdminSessionPrx = IcePHP_defineProxy('::IceGrid::AdminSession', $Ice__t_ObjectPrx, array($Glacier2__t_SessionPrx));

global $IceGrid__t_AdminPrx;
global $Ice__t_ObjectPrx;
global $IceGrid__t_RegistryObserverPrx;
global $IceGrid__t_NodeObserverPrx;
global $IceGrid__t_ApplicationObserverPrx;
global $IceGrid__t_AdapterObserverPrx;
global $IceGrid__t_ObjectObserverPrx;
global $Ice__t_Identity;
global $IcePHP__t_int;
global $IcePHP__t_string;
global $IceGrid__t_FileIteratorPrx;
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'keepAlive', 2, 2, 0, null, null, null, null);
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'getAdmin', 2, 1, 0, null, null, array($IceGrid__t_AdminPrx), null);
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'getAdminCallbackTemplate', 2, 2, 0, null, null, array($Ice__t_ObjectPrx), null);
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'setObservers', 2, 2, 0, array(array($IceGrid__t_RegistryObserverPrx), array($IceGrid__t_NodeObserverPrx), array($IceGrid__t_ApplicationObserverPrx), array($IceGrid__t_AdapterObserverPrx), array($IceGrid__t_ObjectObserverPrx)), null, null, array($IceGrid__t_ObserverAlreadyRegisteredException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'setObserversByIdentity', 2, 2, 0, array(array($Ice__t_Identity), array($Ice__t_Identity), array($Ice__t_Identity), array($Ice__t_Identity), array($Ice__t_Identity)), null, null, array($IceGrid__t_ObserverAlreadyRegisteredException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'startUpdate', 0, 0, 0, null, null, array($IcePHP__t_int), array($IceGrid__t_AccessDeniedException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'finishUpdate', 0, 0, 0, null, null, null, array($IceGrid__t_AccessDeniedException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'getReplicaName', 2, 2, 0, null, null, array($IcePHP__t_string), null);
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openServerLog', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openServerStdErr', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openServerStdOut', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_ServerNotExistException, $IceGrid__t_NodeUnreachableException, $IceGrid__t_DeploymentException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openNodeStdErr', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openNodeStdOut', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_NodeNotExistException, $IceGrid__t_NodeUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openRegistryStdErr', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_RegistryNotExistException, $IceGrid__t_RegistryUnreachableException));
IcePHP_defineOperation($IceGrid__t_AdminSessionPrx, 'openRegistryStdOut', 0, 0, 0, array(array($IcePHP__t_string), array($IcePHP__t_int)), null, array($IceGrid__t_FileIteratorPrx), array($IceGrid__t_FileNotAvailableException, $IceGrid__t_RegistryNotExistException, $IceGrid__t_RegistryUnreachableException));
?>
