<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `PluginFacade.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/BuiltinSequences.php';
require_once 'Ice/Current.php';
require_once 'IceGrid/Admin.php';

global $IceGrid__t_ReplicaGroupFilter;

/**
 * The ReplicaGroupFilter is used by IceGrid to filter adapters
 * returned to the client when it resolves a filtered replica group.
 * 
 * IceGrid provides the list of available adapters. The implementation
 * of this method can use the provided context and connection to
 * filter and return the filtered set of adapters.
 * 
 *
 * @iceType ::IceGrid::ReplicaGroupFilter
 * @iceKind interface
 */
interface IceGrid_ReplicaGroupFilter
{
    /**
     * Filter the the given set of adapters.
     * 
     * @param replicaGroupId The replica group ID.
     * 
     * @param adapterIds The adpater IDs to filter.
     * 
     * @param con The connection from the Ice client which is
     * resolving the replica group endpoints.
     * 
     * @param ctx The context from the Ice client which is resolving
     * the replica group endpoints.
     * 
     * @return The filtered adapter IDs.
     * 
     *
     * @returnType string[]
     * @returnIceType ::Ice::StringSeq
     * @paramType replicaGroupId string
     * @paramType adapterIds string[]
     * @paramType con Ice_Connection
     * @paramType ctx dict
     */
    public function filter($replicaGroupId, $adapterIds, $con, $ctx);
}
$IceGrid__t_ReplicaGroupFilter = IcePHP_defineClass('::IceGrid::ReplicaGroupFilter', 'IceGrid_ReplicaGroupFilter', -1, false, true, null, null);

global $IceGrid__t_TypeFilter;

/**
 * The TypeFilter is used by IceGrid to filter well-known proxies
 * returned to the client when it searches a well-known object by
 * type.
 * 
 * IceGrid provides the list of available proxies. The implementation
 * of this method can use the provided context and connection to
 * filter and return the filtered set of proxies.
 * 
 *
 * @iceType ::IceGrid::TypeFilter
 * @iceKind interface
 */
interface IceGrid_TypeFilter
{
    /**
     * Filter the the given set of proxies.
     * 
     * @param type The type.
     * 
     * @param proxies The proxies to filter.
     * 
     * @param con The connection from the Ice client which is
     * looking up well-known objects by type.
     * 
     * @param ctx The context from the Ice client which is looking up
     * well-known objects by type.
     * 
     * @return The filtered proxies.
     * 
     *
     * @returnType ::Ice::Object*[]
     * @returnIceType ::Ice::ObjectProxySeq
     * @paramType type string
     * @paramType proxies ::Ice::Object*[]
     * @paramType con Ice_Connection
     * @paramType ctx dict
     */
    public function filter($type, $proxies, $con, $ctx);
}
$IceGrid__t_TypeFilter = IcePHP_defineClass('::IceGrid::TypeFilter', 'IceGrid_TypeFilter', -1, false, true, null, null);

global $IceGrid__t_RegistryPluginFacade;

/**
 * The RegistryPluginFacade is implemented by IceGrid and can be used
 * by plugins and filter implementations to retrieve information from
 * IceGrid about the well-known objects or adapters. It's also used to
 * register/unregister replica group and type filters.
 * 
 *
 * @iceType ::IceGrid::RegistryPluginFacade
 * @iceKind interface
 */
interface IceGrid_RegistryPluginFacade
{
    /**
     * Get an application descriptor.
     * 
     * @param name The application name.
     * 
     * @return The application descriptor.
     * 
     * @throws ApplicationNotExistException Raised if the application
     * doesn't exist.
     * 
     *
     * @returnType IceGrid_ApplicationInfo
     * @returnIceType ::IceGrid::ApplicationInfo
     * @paramType name string
     */
    public function getApplicationInfo($name);
    /**
     * Get the server information for the server with the given id.
     * 
     * @param id The server id.
     * 
     * @throws ServerNotExistException Raised if the server doesn't exist.
     * 
     * @return The server information.
     * 
     *
     * @returnType IceGrid_ServerInfo
     * @returnIceType ::IceGrid::ServerInfo
     * @paramType id string
     */
    public function getServerInfo($id);
    /**
     * Get the ID of the server to which the given adapter belongs.
     * 
     * @param adapterId The adapter ID.
     * 
     * @return The server ID or the empty string if the given
     * identifier is not associated to an object adapter defined with
     * an application descriptor.
     * 
     * @throws AdapterNotExistException Raised if the adapter doesn't
     * exist.
     * 
     *
     * @returnType string
     * @returnIceType string
     * @paramType adapterId string
     */
    public function getAdapterServer($adapterId);
    /**
     * Get the name of the application to which the given adapter belongs.
     * 
     * @param adapterId The adapter ID.
     * 
     * @return The application name or the empty string if the given
     * identifier is not associated to a replica group or object
     * adapter defined with an application descriptor.
     * 
     * @throws AdapterNotExistException Raised if the adapter doesn't
     * exist.
     * 
     *
     * @returnType string
     * @returnIceType string
     * @paramType adapterId string
     */
    public function getAdapterApplication($adapterId);
    /**
     * Get the name of the node to which the given adapter belongs.
     * 
     * @param adapterId The adapter ID.
     * 
     * @return The node name or the empty string if the given
     * identifier is not associated to an object adapter defined with
     * an application descriptor.
     * 
     * @throws AdapterNotExistException Raised if the adapter doesn't
     * exist.
     * 
     *
     * @returnType string
     * @returnIceType string
     * @paramType adapterId string
     */
    public function getAdapterNode($adapterId);
    /**
     * Get the adapter information for the replica group or adapter
     * with the given id.
     * 
     * @param id The adapter id.
     * 
     * @return A sequence of adapter information structures. If the
     * given id refers to an adapter, this sequence will contain only
     * one element. If the given id refers to a replica group, the
     * sequence will contain the adapter information of each member of
     * the replica group.
     * 
     * @throws AdapterNotExistException Raised if the adapter or
     * replica group doesn't exist.
     * 
     *
     * @returnType IceGrid_AdapterInfo[]
     * @returnIceType ::IceGrid::AdapterInfoSeq
     * @paramType id string
     */
    public function getAdapterInfo($id);
    /**
     * Get the object info for the object with the given identity.
     * 
     * @param id The identity of the object.
     * 
     * @return The object info.
     * 
     * @throws ObjectNotRegisteredException Raised if the object isn't
     * registered with the registry.
     * 
     *
     * @returnType IceGrid_ObjectInfo
     * @returnIceType ::IceGrid::ObjectInfo
     * @paramType id Ice_Identity
     */
    public function getObjectInfo($id);
    /**
     * Get the node information for the node with the given name.
     * 
     * @param name The node name.
     * 
     * @return The node information.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not be
     * reached.
     * 
     *
     * @returnType IceGrid_NodeInfo
     * @returnIceType ::IceGrid::NodeInfo
     * @paramType name string
     */
    public function getNodeInfo($name);
    /**
     * Get the load averages of the node.
     * 
     * @param name The node name.
     * 
     * @return The node load information.
     * 
     * @throws NodeNotExistException Raised if the node doesn't exist.
     * 
     * @throws NodeUnreachableException Raised if the node could not be
     * reached.
     * 
     *
     * @returnType IceGrid_LoadInfo
     * @returnIceType ::IceGrid::LoadInfo
     * @paramType name string
     */
    public function getNodeLoad($name);
    /**
     * Get the property value for the given property and adapter. The
     * property is looked up in the server or service descriptor where
     * the adapter is defined.
     * 
     * @param adapterId The adapter ID
     * 
     * @param name The name of the property.
     * 
     * @return The property value.
     * 
     * @throws AdapterNotExistException Raised if the adapter doesn't exist.
     * 
     *
     * @returnType string
     * @returnIceType string
     * @paramType adapterId string
     * @paramType name string
     */
    public function getPropertyForAdapter($adapterId, $name);
    /**
     * Add a replica group filter.
     * 
     * @param id The identifier of the filter. This identifier must
     * match the value of the "filter" attribute specified in the
     * replica group descriptor. To filter dynamically registered
     * replica groups, you should use the empty filter id.
     * 
     * @param filter The filter implementation.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType id string
     * @paramType filter IceGrid_ReplicaGroupFilter
     */
    public function addReplicaGroupFilter($id, $filter);
    /**
     * Remove a replica group filter.
     * 
     * @param id The identifier of the filter.
     * 
     * @param filter The filter implementation.
     * 
     * @return True of the filter was removed, false otherwise.
     * 
     *
     * @returnType bool
     * @returnIceType bool
     * @paramType id string
     * @paramType filter IceGrid_ReplicaGroupFilter
     */
    public function removeReplicaGroupFilter($id, $filter);
    /**
     * Add a type filter.
     * 
     * @param type The type to register this filter with.
     * 
     * @param filter The filter implementation.
     * 
     *
     * @returnType void
     * @returnIceType void
     * @paramType type string
     * @paramType filter IceGrid_TypeFilter
     */
    public function addTypeFilter($type, $filter);
    /**
     * Remove a type filter.
     * 
     * @param type The type to register this filter with.
     * 
     * @param filter The filter implementation.
     * 
     * @return True of the filter was removed, false otherwise.
     * 
     *
     * @returnType bool
     * @returnIceType bool
     * @paramType type string
     * @paramType filter IceGrid_TypeFilter
     */
    public function removeTypeFilter($type, $filter);
}
$IceGrid__t_RegistryPluginFacade = IcePHP_defineClass('::IceGrid::RegistryPluginFacade', 'IceGrid_RegistryPluginFacade', -1, false, true, null, null);
?>
