<?php
//
// Copyright (c) ZeroC, Inc. All rights reserved.
//
//
// Ice version 3.7.3
//
// <auto-generated>
//
// Generated from file `IceStorm.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

require_once 'Ice/Identity.php';
require_once 'Ice/SliceChecksumDict.php';
require_once 'IceStorm/Metrics.php';

global $IceStorm__t_Topic;
global $IceStorm__t_TopicPrx;
if(!isset($IceStorm__t_Topic))
{
    $IceStorm__t_Topic = IcePHP_declareClass('::IceStorm::Topic');
    $IceStorm__t_TopicPrx = IcePHP_declareProxy('::IceStorm::Topic');
}

global $IceStorm__t_LinkInfo;
/**
 * Information on the topic links.
 * 
 *
 * @iceType ::IceStorm::LinkInfo
 * @iceKind struct
 */
class IceStorm_LinkInfo
{
    public function __construct($theTopic=null, $name='', $cost=0)
    {
        $this->theTopic = $theTopic;
        $this->name = $name;
        $this->cost = $cost;
    }

    public function __toString()
    {
        global $IceStorm__t_LinkInfo;
        return IcePHP_stringify($this, $IceStorm__t_LinkInfo);
    }

    /**
     * The linked topic.
     * 
     *
     * @var IceStorm_Topic
     */
    public $theTopic;
    /**
     * The name of the linked topic.
     * 
     *
     * @var string
     */
    public $name;
    /**
     * The cost of traversing this link.
     * 
     *
     * @var int
     */
    public $cost;
}

global $IceStorm__t_TopicPrx;
global $IcePHP__t_string;
global $IcePHP__t_int;
$IceStorm__t_LinkInfo = IcePHP_defineStruct('::IceStorm::LinkInfo', 'IceStorm_LinkInfo', array(
    array('theTopic', $IceStorm__t_TopicPrx),
    array('name', $IcePHP__t_string),
    array('cost', $IcePHP__t_int)));

global $IceStorm__t_LinkInfoSeq;

if(!isset($IceStorm__t_LinkInfoSeq))
{
    global $IceStorm__t_LinkInfo;
    $IceStorm__t_LinkInfoSeq = IcePHP_defineSequence('::IceStorm::LinkInfoSeq', $IceStorm__t_LinkInfo);
}

global $IceStorm__t_QoS;

if(!isset($IceStorm__t_QoS))
{
    global $IcePHP__t_string;
    global $IcePHP__t_string;
    $IceStorm__t_QoS = IcePHP_defineDictionary('::IceStorm::QoS', $IcePHP__t_string, $IcePHP__t_string);
}

global $IceStorm__t_LinkExists;
/**
 * This exception indicates that an attempt was made to create a link
 * that already exists.
 * 
 *
 * @iceType ::IceStorm::LinkExists
 * @iceKind exception
 */
class IceStorm_LinkExists extends Ice_UserException
{
    public function __construct($name='')
    {
        $this->name = $name;
    }

    public function ice_id()
    {
        return '::IceStorm::LinkExists';
    }

    public function __toString()
    {
        global $IceStorm__t_LinkExists;
        return IcePHP_stringifyException($this, $IceStorm__t_LinkExists);
    }

    /**
     * The name of the linked topic.
     * 
     *
     * @var string
    */
    public $name;
}
global $IcePHP__t_string;

$IceStorm__t_LinkExists = IcePHP_defineException('::IceStorm::LinkExists', 'IceStorm_LinkExists', false, null, array(
    array('name', $IcePHP__t_string, false, 0)));

global $IceStorm__t_NoSuchLink;
/**
 * This exception indicates that an attempt was made to remove a
 * link that does not exist.
 * 
 *
 * @iceType ::IceStorm::NoSuchLink
 * @iceKind exception
 */
class IceStorm_NoSuchLink extends Ice_UserException
{
    public function __construct($name='')
    {
        $this->name = $name;
    }

    public function ice_id()
    {
        return '::IceStorm::NoSuchLink';
    }

    public function __toString()
    {
        global $IceStorm__t_NoSuchLink;
        return IcePHP_stringifyException($this, $IceStorm__t_NoSuchLink);
    }

    /**
     * The name of the link that does not exist.
     * 
     *
     * @var string
    */
    public $name;
}
global $IcePHP__t_string;

$IceStorm__t_NoSuchLink = IcePHP_defineException('::IceStorm::NoSuchLink', 'IceStorm_NoSuchLink', false, null, array(
    array('name', $IcePHP__t_string, false, 0)));

global $IceStorm__t_AlreadySubscribed;
/**
 * This exception indicates that an attempt was made to subscribe
 * a proxy for which a subscription already exists.
 * 
 *
 * @iceType ::IceStorm::AlreadySubscribed
 * @iceKind exception
 */
class IceStorm_AlreadySubscribed extends Ice_UserException
{
    public function __construct()
    {
    }

    public function ice_id()
    {
        return '::IceStorm::AlreadySubscribed';
    }

    public function __toString()
    {
        global $IceStorm__t_AlreadySubscribed;
        return IcePHP_stringifyException($this, $IceStorm__t_AlreadySubscribed);
    }
}

$IceStorm__t_AlreadySubscribed = IcePHP_defineException('::IceStorm::AlreadySubscribed', 'IceStorm_AlreadySubscribed', false, null, null);

global $IceStorm__t_InvalidSubscriber;
/**
 * This exception indicates that an attempt was made to subscribe
 * a proxy that is null.
 * 
 *
 * @iceType ::IceStorm::InvalidSubscriber
 * @iceKind exception
 */
class IceStorm_InvalidSubscriber extends Ice_UserException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::IceStorm::InvalidSubscriber';
    }

    public function __toString()
    {
        global $IceStorm__t_InvalidSubscriber;
        return IcePHP_stringifyException($this, $IceStorm__t_InvalidSubscriber);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$IceStorm__t_InvalidSubscriber = IcePHP_defineException('::IceStorm::InvalidSubscriber', 'IceStorm_InvalidSubscriber', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $IceStorm__t_BadQoS;
/**
 * This exception indicates that a subscription failed due to an
 * invalid QoS.
 * 
 *
 * @iceType ::IceStorm::BadQoS
 * @iceKind exception
 */
class IceStorm_BadQoS extends Ice_UserException
{
    public function __construct($reason='')
    {
        $this->reason = $reason;
    }

    public function ice_id()
    {
        return '::IceStorm::BadQoS';
    }

    public function __toString()
    {
        global $IceStorm__t_BadQoS;
        return IcePHP_stringifyException($this, $IceStorm__t_BadQoS);
    }

    /**
     * The reason for the failure.
     * 
     *
     * @var string
    */
    public $reason;
}
global $IcePHP__t_string;

$IceStorm__t_BadQoS = IcePHP_defineException('::IceStorm::BadQoS', 'IceStorm_BadQoS', false, null, array(
    array('reason', $IcePHP__t_string, false, 0)));

global $IceStorm__t_Topic;
global $IceStorm__t_TopicPrx;

class IceStorm_TopicPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceStorm::Topic', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceStorm::Topic', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceStorm::Topic';
    }
}
$IceStorm__t_Topic = IcePHP_defineClass('::IceStorm::Topic', 'IceStorm_Topic', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceStorm__t_TopicPrx = IcePHP_defineProxy('::IceStorm::Topic', $Ice__t_ObjectPrx, null);

global $IcePHP__t_string;
global $Ice__t_ObjectPrx;
global $IceStorm__t_QoS;
global $IceStorm__t_TopicPrx;
global $IcePHP__t_int;
global $IceStorm__t_LinkInfoSeq;
global $Ice__t_IdentitySeq;
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'getName', 2, 1, 0, null, null, array($IcePHP__t_string), null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'getPublisher', 2, 1, 0, null, null, array($Ice__t_ObjectPrx), null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'getNonReplicatedPublisher', 2, 1, 0, null, null, array($Ice__t_ObjectPrx), null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'subscribeAndGetPublisher', 0, 0, 0, array(array($IceStorm__t_QoS), array($Ice__t_ObjectPrx)), null, array($Ice__t_ObjectPrx), array($IceStorm__t_AlreadySubscribed, $IceStorm__t_InvalidSubscriber, $IceStorm__t_BadQoS));
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'unsubscribe', 2, 2, 0, array(array($Ice__t_ObjectPrx)), null, null, null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'link', 0, 0, 0, array(array($IceStorm__t_TopicPrx), array($IcePHP__t_int)), null, null, array($IceStorm__t_LinkExists));
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'unlink', 0, 0, 0, array(array($IceStorm__t_TopicPrx)), null, null, array($IceStorm__t_NoSuchLink));
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'getLinkInfoSeq', 2, 1, 0, null, null, array($IceStorm__t_LinkInfoSeq), null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'getSubscribers', 0, 0, 0, null, null, array($Ice__t_IdentitySeq), null);
IcePHP_defineOperation($IceStorm__t_TopicPrx, 'destroy', 0, 0, 0, null, null, null, null);

global $IceStorm__t_TopicDict;

if(!isset($IceStorm__t_TopicDict))
{
    global $IcePHP__t_string;
    global $IceStorm__t_TopicPrx;
    $IceStorm__t_TopicDict = IcePHP_defineDictionary('::IceStorm::TopicDict', $IcePHP__t_string, $IceStorm__t_TopicPrx);
}

global $IceStorm__t_TopicExists;
/**
 * This exception indicates that an attempt was made to create a topic
 * that already exists.
 * 
 *
 * @iceType ::IceStorm::TopicExists
 * @iceKind exception
 */
class IceStorm_TopicExists extends Ice_UserException
{
    public function __construct($name='')
    {
        $this->name = $name;
    }

    public function ice_id()
    {
        return '::IceStorm::TopicExists';
    }

    public function __toString()
    {
        global $IceStorm__t_TopicExists;
        return IcePHP_stringifyException($this, $IceStorm__t_TopicExists);
    }

    /**
     * The name of the topic that already exists.
     * 
     *
     * @var string
    */
    public $name;
}
global $IcePHP__t_string;

$IceStorm__t_TopicExists = IcePHP_defineException('::IceStorm::TopicExists', 'IceStorm_TopicExists', false, null, array(
    array('name', $IcePHP__t_string, false, 0)));

global $IceStorm__t_NoSuchTopic;
/**
 * This exception indicates that an attempt was made to retrieve a
 * topic that does not exist.
 * 
 *
 * @iceType ::IceStorm::NoSuchTopic
 * @iceKind exception
 */
class IceStorm_NoSuchTopic extends Ice_UserException
{
    public function __construct($name='')
    {
        $this->name = $name;
    }

    public function ice_id()
    {
        return '::IceStorm::NoSuchTopic';
    }

    public function __toString()
    {
        global $IceStorm__t_NoSuchTopic;
        return IcePHP_stringifyException($this, $IceStorm__t_NoSuchTopic);
    }

    /**
     * The name of the topic that does not exist.
     * 
     *
     * @var string
    */
    public $name;
}
global $IcePHP__t_string;

$IceStorm__t_NoSuchTopic = IcePHP_defineException('::IceStorm::NoSuchTopic', 'IceStorm_NoSuchTopic', false, null, array(
    array('name', $IcePHP__t_string, false, 0)));

global $IceStorm__t_TopicManager;
global $IceStorm__t_TopicManagerPrx;

class IceStorm_TopicManagerPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceStorm::TopicManager', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceStorm::TopicManager', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceStorm::TopicManager';
    }
}
$IceStorm__t_TopicManager = IcePHP_defineClass('::IceStorm::TopicManager', 'IceStorm_TopicManager', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceStorm__t_TopicManagerPrx = IcePHP_defineProxy('::IceStorm::TopicManager', $Ice__t_ObjectPrx, null);

global $IcePHP__t_string;
global $IceStorm__t_TopicPrx;
global $IceStorm__t_TopicDict;
global $Ice__t_SliceChecksumDict;
IcePHP_defineOperation($IceStorm__t_TopicManagerPrx, 'create', 0, 0, 0, array(array($IcePHP__t_string)), null, array($IceStorm__t_TopicPrx), array($IceStorm__t_TopicExists));
IcePHP_defineOperation($IceStorm__t_TopicManagerPrx, 'retrieve', 2, 1, 0, array(array($IcePHP__t_string)), null, array($IceStorm__t_TopicPrx), array($IceStorm__t_NoSuchTopic));
IcePHP_defineOperation($IceStorm__t_TopicManagerPrx, 'retrieveAll', 2, 1, 0, null, null, array($IceStorm__t_TopicDict), null);
IcePHP_defineOperation($IceStorm__t_TopicManagerPrx, 'getSliceChecksums', 2, 1, 0, null, null, array($Ice__t_SliceChecksumDict), null);

global $IceStorm__t_Finder;
global $IceStorm__t_FinderPrx;

class IceStorm_FinderPrxHelper
{
    public static function checkedCast($proxy, $facetOrContext=null, $context=null)
    {
        return $proxy->ice_checkedCast('::IceStorm::Finder', $facetOrContext, $context);
    }

    public static function uncheckedCast($proxy, $facet=null)
    {
        return $proxy->ice_uncheckedCast('::IceStorm::Finder', $facet);
    }

    public static function ice_staticId()
    {
        return '::IceStorm::Finder';
    }
}
$IceStorm__t_Finder = IcePHP_defineClass('::IceStorm::Finder', 'IceStorm_Finder', -1, false, true, null, null);

global $Ice__t_ObjectPrx;
$IceStorm__t_FinderPrx = IcePHP_defineProxy('::IceStorm::Finder', $Ice__t_ObjectPrx, null);

global $IceStorm__t_TopicManagerPrx;
IcePHP_defineOperation($IceStorm__t_FinderPrx, 'getTopicManager', 0, 0, 0, null, null, array($IceStorm__t_TopicManagerPrx), null);
?>
